SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT=0;
START TRANSACTION;

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


CREATE TABLE IF NOT EXISTS `nuke_authors` (
  `aid` varchar(25) COLLATE utf8_bin NOT NULL,
  `name` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `url` varchar(255) COLLATE utf8_bin NOT NULL,
  `email` varchar(255) COLLATE utf8_bin NOT NULL,
  `pwd` varchar(40) COLLATE utf8_bin DEFAULT NULL,
  `counter` int(11) NOT NULL DEFAULT '0',
  `radminsuper` tinyint(1) NOT NULL DEFAULT '1',
  `admlanguage` varchar(30) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`aid`),
  KEY `aid` (`aid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_banned_ip` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(15) COLLATE utf8_bin NOT NULL,
  `reason` varchar(255) COLLATE utf8_bin NOT NULL,
  `date` date NOT NULL DEFAULT '0000-00-00',
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_banner` (
  `bid` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `name` varchar(50) COLLATE utf8_bin NOT NULL,
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `imageurl` varchar(100) COLLATE utf8_bin NOT NULL,
  `clickurl` varchar(200) COLLATE utf8_bin NOT NULL,
  `alttext` varchar(255) COLLATE utf8_bin NOT NULL,
  `date` datetime DEFAULT NULL,
  `dateend` datetime DEFAULT NULL,
  `position` int(10) NOT NULL DEFAULT '0',
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `ad_class` varchar(5) COLLATE utf8_bin NOT NULL,
  `ad_code` text COLLATE utf8_bin NOT NULL,
  `ad_width` int(4) DEFAULT '0',
  `ad_height` int(4) DEFAULT '0',
  PRIMARY KEY (`bid`),
  KEY `bid` (`bid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_banner_clients` (
  `cid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8_bin NOT NULL,
  `contact` varchar(60) COLLATE utf8_bin NOT NULL,
  `email` varchar(60) COLLATE utf8_bin NOT NULL,
  `login` varchar(10) COLLATE utf8_bin NOT NULL,
  `passwd` varchar(10) COLLATE utf8_bin NOT NULL,
  `extrainfo` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`cid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_banner_plans` (
  `pid` int(10) NOT NULL AUTO_INCREMENT,
  `active` tinyint(1) NOT NULL DEFAULT '0',
  `name` varchar(255) COLLATE utf8_bin NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `delivery` varchar(10) COLLATE utf8_bin NOT NULL,
  `delivery_type` varchar(25) COLLATE utf8_bin NOT NULL,
  `price` varchar(25) COLLATE utf8_bin NOT NULL DEFAULT '0',
  `buy_links` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`pid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_banner_positions` (
  `apid` int(10) NOT NULL AUTO_INCREMENT,
  `position_number` int(5) NOT NULL DEFAULT '0',
  `position_name` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`apid`),
  KEY `position_number` (`position_number`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=3 ;

INSERT INTO `nuke_banner_positions` (`apid`, `position_number`, `position_name`) VALUES
(1, 0, 'Page Top'),
(2, 1, 'Left Block');

CREATE TABLE IF NOT EXISTS `nuke_banner_terms` (
  `terms_body` text COLLATE utf8_bin NOT NULL,
  `country` varchar(255) COLLATE utf8_bin NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_blocks` (
  `bid` int(10) NOT NULL AUTO_INCREMENT,
  `bkey` varchar(15) COLLATE utf8_bin NOT NULL,
  `title` varchar(60) COLLATE utf8_bin NOT NULL,
  `content` text COLLATE utf8_bin NOT NULL,
  `url` varchar(200) COLLATE utf8_bin NOT NULL,
  `bposition` char(1) COLLATE utf8_bin NOT NULL,
  `weight` int(10) NOT NULL DEFAULT '1',
  `active` int(1) NOT NULL DEFAULT '1',
  `refresh` int(10) NOT NULL DEFAULT '0',
  `time` varchar(14) COLLATE utf8_bin NOT NULL DEFAULT '0',
  `blanguage` varchar(30) COLLATE utf8_bin NOT NULL,
  `blockfile` varchar(255) COLLATE utf8_bin NOT NULL,
  `view` int(1) NOT NULL DEFAULT '0',
  `expire` varchar(14) COLLATE utf8_bin NOT NULL DEFAULT '0',
  `action` char(1) COLLATE utf8_bin NOT NULL,
  `subscription` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`bid`),
  KEY `bid` (`bid`),
  KEY `title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=28 ;


INSERT INTO `nuke_blocks` (`bid`, `bkey`, `title`, `content`, `url`, `bposition`, `weight`, `active`, `refresh`, `time`, `blanguage`, `blockfile`, `view`, `expire`, `action`, `subscription`) VALUES
(1, '', 'منو اصلی', '', '', 'l', 1, 1, 0, '', 'persian', 'block-menu.php', 0, '0', 'd', 0),
(2, '', 'جستجو', '', '', 'i', 8, 0, 3600, '', '', 'block-Search.php', 0, '0', 'd', 0),
(3, '', 'موضوعات تصادفی', '', '', 'r', 5, 1, 3600, '', '', 'block-Random_Headlines.php', 0, '0', 'd', 0),
(4, '', 'منوی شاخه ها', '', '', 'r', 2, 1, 0, '', '', 'block-Categories.php', 0, '0', 'd', 0),
(5, '', 'نظرسنجی', '', '', 'l', 3, 1, 0, '', '', 'block-JQ-Poll.php', 0, '0', 'd', 0),
(6, '', 'بهترین مطالب روز', '', '', 'i', 1, 0, 3600, '', '', 'block-Big_Story_of_Today.php', 0, '0', 'd', 0),
(7, '', 'مطالب قبلی', '', '', 'd', 0, 1, 3600, '', '', 'block-Old_Articles.php', 0, '0', 'd', 0),
(8, '', 'نوشته های کاربران', '', '', 'i', 6, 0, 0, '', '', 'block-BlogRoll.php', 0, '0', 'd', 0),
(9, '', 'ورود مشتریان تبلیغاتی', '', '', 'i', 5, 0, 0, '', '', 'block-INPB_Login.php', 0, '0', 'd', 0),
(10, '', 'لینک به سایت', '', '', 'i', 7, 0, 0, '', '', 'block-CZLinks.php', 0, '0', 'd', 0),
(11, '', 'تقویم جلالی', '', '', 'r', 4, 1, 0, '', 'persian', 'block-Calender.php', 0, '0', 'd', 0),
(12, '', 'اطلاعات سایت ', '', '', 'r', 1, 1, 0, '', '', 'block-Info_Box.php', 0, '0', 'd', 0),
(13, '', 'تابلوی خبرخوان', '', '', 'r', 3, 1, 0, '', '', 'block-RSS_List.php', 0, '0', 'd', 0),
(14, '', 'اشتراک گذاری', '', '', 'i', 3, 0, 0, '', '', 'block-BookMark.php', 0, '0', 'd', 0),
(15, '', 'تابلوی کلیدواژه ها', '', '', 'i', 4, 0, 0, '', '', 'block-Tag_Cloud.php', 0, '0', 'd', 0),
(16, '', 'جستجوی گوگل آجاکسی', '', '', 'i', 2, 0, 0, '', '', 'block-Ajax_Google_Search.php', 0, '0', 'd', 0),
(17, '', 'جستجو سایت', '', '', 'c', 1, 1, 3600, '', 'persian', 'block-Search.php', 0, '0', 'd', 0),
(18, '', 'حمایت از نیوک لرن', '<p style="text-align: center; ">\r\n	<a href="http://www.nukelearn.com"><img alt="" src="includes/upload/Nukelearn/120-240.png" style="width: 120px; height: 240px; " /></a></p>\r\n', '', 'l', 4, 1, 0, '', '', '', 0, '0', 'd', 0),
(19, '', 'مدیریت سریع', '', '', 'l', 2, 1, 3600, '', '', 'block-Admin.php', 2, '0', 'd', 0),
(20, '', 'چه کارهایی مانده ؟', '', '', 'r', 7, 1, 3600, '', '', 'block-LeftToDo.php', 0, '0', 'd', 0),
(21, '', 'آمار سایت', '', '', 'l', 5, 1, 3600, '', '', 'block-Statistic.php', 0, '0', 'd', 0),
(22, '', 'پیام کوتاه', '', '', 'r', 6, 1, 3600, '', '', 'block-shoutbox.php', 0, '0', 'd', 0);


CREATE TABLE IF NOT EXISTS `nuke_blogs` (
  `bid` int(10) NOT NULL AUTO_INCREMENT,
  `tid` int(10) NOT NULL DEFAULT '0',
  `content` varchar(255) COLLATE utf8_bin NOT NULL,
  `date` varchar(14) COLLATE utf8_bin DEFAULT NULL,
  `sender` int(10) NOT NULL,
  `sender_name` varchar(25) COLLATE utf8_bin DEFAULT NULL,
  `reciever` int(10) NOT NULL,
  `reciever_name` varchar(25) COLLATE utf8_bin DEFAULT NULL,
  `like` int(10) unsigned NOT NULL DEFAULT '0',
  `unlike` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`bid`),
  KEY `bid` (`bid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin ;


CREATE TABLE IF NOT EXISTS `nuke_cnbya_config` (
  `config_name` varchar(255) COLLATE utf8_bin NOT NULL,
  `config_value` longtext COLLATE utf8_bin,
  UNIQUE KEY `config_name` (`config_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_cnbya_config` (`config_name`, `config_value`) VALUES
('allowmailchange', '1'),
('allowuserdelete', '0'),
('allowuserreg', '0'),
('allowusertheme', '0'),
('autosuspend', '0'),
('autosuspendmain', '0'),
('bad_mail', 'mysite.com\r\nyoursite.com'),
('bad_nick', 'adm\r\nadmin\r\nanonimo\r\nanonymous\r\nanَnimo\r\ngod\r\nlinux\r\nnobody\r\noperator\r\nroot\r\nstaff\r\nwebmaster'),
('codesize', '4'),
('cookiecheck', '1'),
('cookiecleaner', '1'),
('cookieinactivity', '-'),
('cookiepath', ''),
('cookietimelife', '2592000'),
('coppa', '0'),
('doublecheckemail', '1'),
('emailvalidate', '0'),
('expiring', '86400'),
('nick_max', '20'),
('nick_min', '3'),
('pass_max', '25'),
('pass_min', '3'),
('perpage', '100'),
('requireadmin', '0'),
('sendaddmail', '0'),
('senddeletemail', '0'),
('servermail', '1'),
('tos', '0'),
('tosall', '0'),
('useactivate', '1'),
('usegfxcheck', '3'),
('version', '4.4.1'),
('use_question', '1'),
('headlines', 'http://www.tabnak.ir/fa/rss/allnews\r\nhttp://www.itna.ir/index.xml\r\nhttp://www.cmsnews.ir/feed/rss/\r\nhttp://www.nukelearn.com/feed/News\r\n');


CREATE TABLE IF NOT EXISTS `nuke_cnbya_field` (
  `fid` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT 'field',
  `value` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `size` int(3) DEFAULT NULL,
  `need` int(1) NOT NULL DEFAULT '1',
  `pos` int(3) DEFAULT NULL,
  `public` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`fid`),
  KEY `fid` (`fid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_cnbya_tos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data` text COLLATE utf8_bin NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '0',
  `des` text COLLATE utf8_bin NOT NULL,
  `language` varchar(25) COLLATE utf8_bin NOT NULL,
  `time` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=2 ;

INSERT INTO `nuke_cnbya_tos` (`id`, `data`, `status`, `des`, `language`, `time`) VALUES
(1, '<p><font class="content"><b>1. قانون اول</b><br>\r\nشرح قانون اول<br>\r\n<br>\r\n<b>2. قانون دوم</b><br>\r\nشرح قانون دوم<br>\r\n<br>\r\n<b>3. قانون سوم</b><br>\r\nشرح قانون سوم<br>\r\n<br>\r\n<b>4. قانون چهارم</b><br>\r\nشرح قانون چهارم<br>\r\n<br>\r\n<b>5. قانون پنجم</b><br>\r\nشرح قانون پنجم<br>\r\n<br>\r\n<b>6. قانون ششم</b><br>\r\nشرح قانون ششم<br>\r\n<br>\r\n<b>7. قانون هفتم</b><br>\r\nشرح قانون هفتم<br>\r\n<br>\r\n<b>8. قانون هشتم</b><br>\r\nشرح قانون هشتم<br>\r\n<br>\r\n<b>9.قانون نهم</b><br>\r\nشرح قانون نهم<br>\r\n<br>\r\n<b>10. قانون دهم</b><br>\r\nشرح قانون دهم<br>\r\n<br>\r\n<b>11. قانون یازدهم</b><br>\r\nشرح قانون یازدهم<br>\r\n<br>\r\n<b>12. قانون دوازدهم</b><br>\r\nشرح قانون دوازدهم<br>\r\n<br>\r\n<b>13. قانون سیزدهم</b><br>\r\nشرح قانون سیزدهم<br>\r\n </font></p>\r\n', 1, 'قوانین پیشفرض', 'persian', '2005-05-03 00:10');

CREATE TABLE IF NOT EXISTS `nuke_cnbya_value` (
  `vid` int(10) NOT NULL AUTO_INCREMENT,
  `uid` int(10) NOT NULL DEFAULT '0',
  `fid` int(10) NOT NULL DEFAULT '0',
  `value` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`vid`),
  KEY `vid` (`vid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_cnbya_value_temp` (
  `vid` int(10) NOT NULL AUTO_INCREMENT,
  `uid` int(10) NOT NULL DEFAULT '0',
  `fid` int(10) NOT NULL DEFAULT '0',
  `value` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`vid`),
  KEY `vid` (`vid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_comments_moderated` (
  `tid` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `active` int(1) NOT NULL DEFAULT '0',
  `date` datetime DEFAULT NULL,
  `name` varchar(60) COLLATE utf8_bin NOT NULL,
  `email` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `url` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `host_name` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `subject` varchar(85) COLLATE utf8_bin NOT NULL,
  `comment` text COLLATE utf8_bin NOT NULL,
  `score` tinyint(4) NOT NULL DEFAULT '0',
  `reason` tinyint(4) NOT NULL DEFAULT '0',
  `last_moderation_ip` varchar(15) COLLATE utf8_bin DEFAULT '0',
  PRIMARY KEY (`tid`),
  KEY `tid` (`tid`),
  KEY `pid` (`pid`),
  KEY `sid` (`sid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_config` (
  `sitename` varchar(255) COLLATE utf8_bin NOT NULL,
  `nukeurl` varchar(255) COLLATE utf8_bin NOT NULL,
  `site_logo` varchar(255) COLLATE utf8_bin NOT NULL,
  `slogan` varchar(255) COLLATE utf8_bin NOT NULL,
  `startdate` varchar(50) COLLATE utf8_bin NOT NULL,
  `adminmail` varchar(255) COLLATE utf8_bin NOT NULL,
  `anonpost` tinyint(1) NOT NULL DEFAULT '0',
  `Default_Theme` varchar(255) COLLATE utf8_bin NOT NULL,
  `foot1` text COLLATE utf8_bin NOT NULL,
  `foot2` text COLLATE utf8_bin NOT NULL,
  `foot3` text COLLATE utf8_bin NOT NULL,
  `commentlimit` int(9) NOT NULL DEFAULT '4096',
  `anonymous` varchar(255) COLLATE utf8_bin NOT NULL,
  `minpass` tinyint(1) NOT NULL DEFAULT '5',
  `pollcomm` tinyint(1) NOT NULL DEFAULT '1',
  `articlecomm` tinyint(1) NOT NULL DEFAULT '1',
  `broadcast_msg` tinyint(1) NOT NULL DEFAULT '1',
  `my_headlines` tinyint(1) NOT NULL DEFAULT '1',
  `top` int(3) NOT NULL DEFAULT '10',
  `storyhome` int(2) NOT NULL DEFAULT '10',
  `user_news` tinyint(1) NOT NULL DEFAULT '1',
  `oldnum` int(2) NOT NULL DEFAULT '30',
  `ultramode` tinyint(1) NOT NULL DEFAULT '0',
  `loading` tinyint(1) NOT NULL DEFAULT '0',
  `nextg` tinyint(1) NOT NULL DEFAULT '0',
  `banners` tinyint(1) NOT NULL DEFAULT '1',
  `backend_title` varchar(255) COLLATE utf8_bin NOT NULL,
  `backend_language` varchar(10) COLLATE utf8_bin NOT NULL,
  `language` varchar(100) COLLATE utf8_bin NOT NULL,
  `locale` varchar(10) COLLATE utf8_bin NOT NULL,
  `multilingual` tinyint(1) NOT NULL DEFAULT '0',
  `useflags` tinyint(1) NOT NULL DEFAULT '0',
  `notify` tinyint(1) NOT NULL DEFAULT '0',
  `notify_email` varchar(255) COLLATE utf8_bin NOT NULL,
  `notify_subject` varchar(255) COLLATE utf8_bin NOT NULL,
  `notify_message` varchar(255) COLLATE utf8_bin NOT NULL,
  `notify_from` varchar(255) COLLATE utf8_bin NOT NULL,
  `moderate` tinyint(1) NOT NULL DEFAULT '0',
  `admingraphic` tinyint(1) NOT NULL DEFAULT '1',
  `httpref` tinyint(1) NOT NULL DEFAULT '1',
  `httprefmax` int(5) NOT NULL DEFAULT '1000',
  `CensorMode` tinyint(1) NOT NULL DEFAULT '3',
  `CensorReplace` varchar(10) COLLATE utf8_bin NOT NULL,
  `copyright` text COLLATE utf8_bin NOT NULL,
  `USV_Version` varchar(15) COLLATE utf8_bin NOT NULL,
  `support` varchar(30) COLLATE utf8_bin NOT NULL,
  `gfx_chk` tinyint(1) NOT NULL DEFAULT '1',
  `use_question` int(1) NOT NULL DEFAULT '0',
  `codesize` int(1) NOT NULL DEFAULT '4',
  `cache_system` int(1) NOT NULL DEFAULT '0',
  `cache_lifetime` int(1) NOT NULL DEFAULT '120',
  `nuke_editor` int(1) NOT NULL DEFAULT '1',
  `tracking` int(1) NOT NULL DEFAULT '0',
  `sec_pass` varchar(40) COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`sitename`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_config` (`sitename`, `nukeurl`, `site_logo`, `slogan`, `startdate`, `adminmail`, `anonpost`, `Default_Theme`, `foot1`, `foot2`, `foot3`, `commentlimit`, `anonymous`, `minpass`, `pollcomm`, `articlecomm`, `broadcast_msg`, `my_headlines`, `top`, `storyhome`, `user_news`, `oldnum`, `ultramode`, `loading`, `nextg`, `banners`, `backend_title`, `backend_language`, `language`, `locale`, `multilingual`, `useflags`, `notify`, `notify_email`, `notify_subject`, `notify_message`, `notify_from`, `moderate`, `admingraphic`, `httpref`, `httprefmax`, `CensorMode`, `CensorReplace`, `copyright`, `USV_Version`, `support`, `gfx_chk`, `use_question`, `codesize`, `cache_system`, `cache_lifetime`, `nuke_editor`, `tracking`, `sec_pass`) VALUES
('Nukelearn Tigris', '', 'logo.png', '', '', '', 0, 'Sepid', '', '', '', 4096, 'کاربر مهمان', 5, 0, 1, 1, 1, 0330, 10, 1, 30, 0, 0, 0, 0, 'Nukelearn Tigris Powered Site', 'persian', 'persian', 'en_US', 1, 1, 1, 'info@nukelearn.com', 'اطلاعیه سایت', 'از سوی سایت اطلاعیه دارید ', 'مدیریت', 0, 1, 1, 1000, 3, '*****', 'Nukelearn Tigris &copy; 2009-2010 <a href="http://www.nukelearn.com" target="_blank">Nukelearn</a>', 'Tigris 1.1.4 BETA', 'info@nukelearn.com', 1, 0, 4, 0, 120, 1, 1, '');

CREATE TABLE IF NOT EXISTS `nuke_confirm` (
  `confirm_id` char(32) COLLATE utf8_bin NOT NULL,
  `session_id` char(32) COLLATE utf8_bin NOT NULL,
  `code` char(6) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`session_id`,`confirm_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_contact_us` (
  `pid` int(3) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `phone_num` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `fax_num` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `yahoo_id` varchar(255) COLLATE utf8_bin NOT NULL,
  `gmail_id` varchar(255) COLLATE utf8_bin NOT NULL,
  `dept_name` varchar(255) COLLATE utf8_bin NOT NULL,
  `dept_email` varchar(255) COLLATE utf8_bin NOT NULL,
  `address` text COLLATE utf8_bin NOT NULL,
  `showaddress` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`pid`),
  KEY `pid` (`pid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=5 ;

INSERT INTO `nuke_contact_us` (`pid`, `name`, `phone_num`, `fax_num`, `yahoo_id`, `gmail_id`, `dept_name`, `dept_email`, `address`, `showaddress`) VALUES
(1, 'TEST', '000000000', '', 'YahooID', 'test@gmail.com', 'مدیریت سایت', 'info@site.com', 'Address Info', 0);



CREATE TABLE IF NOT EXISTS `nuke_counter` (
  `type` varchar(80) COLLATE utf8_bin NOT NULL,
  `var` varchar(80) COLLATE utf8_bin NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_counter` (`type`, `var`, `count`) VALUES
('total', 'visits', 0),
('total', 'pageviews', 0),
('total_today', '2011-02-14', 0),
('total_yesterday', '2011-03-17', 0),
('se', 'google', 0),
('se', 'yahoo', 0),
('se', 'bing', 0),
('se', 'other', 0),
('browser', 'WebTV', 0),
('browser', 'Lynx', 0),
('browser', 'MSIE', 0),
('browser', 'Opera', 0),
('browser', 'Konqueror', 0),
('browser', 'Netscape', 0),
('browser', 'FireFox', 0),
('browser', 'Bot', 0),
('browser', 'Other', 0),
('os', 'Windows', 0),
('os', 'Linux', 0),
('os', 'Mac', 0),
('os', 'FreeBSD', 0),
('os', 'SunOS', 0),
('os', 'IRIX', 0),
('os', 'BeOS', 0),
('os', 'OS/2', 0),
('os', 'AIX', 0),
('os', 'Other', 0),
('config', 'browser_chart', 1),
('config', 'os_chart', 1),
('config', 'users_chart', 1),
('config', 'Synchronization', 1);


CREATE TABLE IF NOT EXISTS `nuke_groups` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varbinary(255) DEFAULT NULL,
  `description` blob,
  `post_min` int(8) NOT NULL,
  `post_max` int(11) NOT NULL,
  `point_min` int(11) NOT NULL,
  `point_max` int(11) NOT NULL,
  `members` blob,
  `point_amount` varbinary(255) DEFAULT NULL,
  `color` varchar(9) COLLATE utf8_persian_ci DEFAULT '#000000',
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci AUTO_INCREMENT=5 ;


INSERT INTO `nuke_groups` (`id`, `name`, `description`, `post_min`, `post_max`, `point_min`, `point_max`, `members`, `point_amount`, `color`) VALUES
(1, 'اعضای سایت', ' اعضای جدید سایت که حداکثر 1000 امتیاز ذخیره کرده اند', 0, 0, 0, 1000, NULL, '25-25-10-25-25-10-10-10-25-25-25-10-2-3-3-25-5-5-5-5-5', '#000000');



CREATE TABLE IF NOT EXISTS `nuke_iptracking` (
  `ipid` int(10) NOT NULL AUTO_INCREMENT,
  `username` varchar(25) DEFAULT NULL,
  `date_time` datetime NOT NULL,
  `ip_address` varchar(15) NOT NULL,
  `hostname` varchar(100) NOT NULL,
  `referer` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `page` varchar(150) NOT NULL,
  `page_title` varchar(150) NOT NULL,
  PRIMARY KEY (`ipid`),
  KEY `ipid` (`ipid`),
  KEY `i1iptracking` (`ip_address`,`hostname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_jcalendar_events` (
  `eid` smallint(4) NOT NULL AUTO_INCREMENT,
  `title` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `repeat_type` enum('off','daily','weekly','monthly','yearly') CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT 'off',
  `approved` tinyint(1) NOT NULL DEFAULT '0',
  `holiday` enum('yes','no') CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT 'no',
  `linkstr` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`eid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

CREATE TABLE IF NOT EXISTS `nuke_keywords` (
  `mid` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `keywords` text NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`mid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_keywords_main` (
  `keywords` text NOT NULL,
  `description` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `nuke_keywords_main` (`keywords`, `description`) VALUES
('News, نیوک لرن, Nuke, USV NUKE, Downloads, Community, Forum, Bulletin, Board, PHP, MySQL, Survey, Portal, Blog', 'Your slogan here');

CREATE TABLE IF NOT EXISTS `nuke_links_categories` (
  `cid` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) COLLATE utf8_bin NOT NULL,
  `cdescription` text COLLATE utf8_bin NOT NULL,
  `parentid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_links_editorials` (
  `linkid` int(11) NOT NULL DEFAULT '0',
  `adminid` varchar(60) COLLATE utf8_bin NOT NULL,
  `editorialtimestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editorialtext` text COLLATE utf8_bin NOT NULL,
  `editorialtitle` varchar(100) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`linkid`),
  KEY `linkid` (`linkid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_links_links` (
  `lid` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(100) COLLATE utf8_bin NOT NULL,
  `url` varchar(100) COLLATE utf8_bin NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `date` datetime DEFAULT NULL,
  `name` varchar(100) COLLATE utf8_bin NOT NULL,
  `email` varchar(100) COLLATE utf8_bin NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  `submitter` varchar(60) COLLATE utf8_bin NOT NULL,
  `linkratingsummary` double(6,4) NOT NULL DEFAULT '0.0000',
  `totalvotes` int(11) NOT NULL DEFAULT '0',
  `totalcomments` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lid`),
  KEY `lid` (`lid`),
  KEY `cid` (`cid`),
  KEY `sid` (`sid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_links_modrequest` (
  `requestid` int(11) NOT NULL AUTO_INCREMENT,
  `lid` int(11) NOT NULL DEFAULT '0',
  `cid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(100) COLLATE utf8_bin NOT NULL,
  `url` varchar(100) COLLATE utf8_bin NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `modifysubmitter` varchar(60) COLLATE utf8_bin NOT NULL,
  `brokenlink` int(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`requestid`),
  UNIQUE KEY `requestid` (`requestid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_links_newlink` (
  `lid` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(100) COLLATE utf8_bin NOT NULL,
  `url` varchar(100) COLLATE utf8_bin NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `name` varchar(100) COLLATE utf8_bin NOT NULL,
  `email` varchar(100) COLLATE utf8_bin NOT NULL,
  `submitter` varchar(60) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`lid`),
  KEY `lid` (`lid`),
  KEY `cid` (`cid`),
  KEY `sid` (`sid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_links_votedata` (
  `ratingdbid` int(11) NOT NULL AUTO_INCREMENT,
  `ratinglid` int(11) NOT NULL DEFAULT '0',
  `ratinguser` varchar(60) COLLATE utf8_bin NOT NULL,
  `rating` int(11) NOT NULL DEFAULT '0',
  `ratinghostname` varchar(60) COLLATE utf8_bin NOT NULL,
  `ratingcomments` text COLLATE utf8_bin NOT NULL,
  `ratingtimestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`ratingdbid`),
  KEY `ratingdbid` (`ratingdbid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `nuke_linktous` (
  `l_id` int(11) NOT NULL AUTO_INCREMENT,
  `l_zipurl` varchar(255) NOT NULL DEFAULT '',
  `l_image` varchar(255) NOT NULL DEFAULT '',
  `l_mouseover` varchar(255) NOT NULL DEFAULT '',
  `l_status` int(1) NOT NULL DEFAULT '0',
  `l_size_width` char(3) NOT NULL DEFAULT '0',
  `l_size_height` char(3) NOT NULL DEFAULT '0',
  `l_hits` bigint(20) NOT NULL DEFAULT '0',
  `l_linktype` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`l_id`),
  KEY `l_id` (`l_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

INSERT INTO `nuke_linktous` (`l_id`, `l_zipurl`, `l_image`, `l_mouseover`, `l_status`, `l_size_width`, `l_size_height`, `l_hits`, `l_linktype`) VALUES
(1, '', 'images/links/nukelearn tigris1.png', 'Nukelearn Tigris ', 0, '120', '240', 1, 0);

CREATE TABLE IF NOT EXISTS `nuke_linktous_config` (
  `config_name` varchar(255) COLLATE utf8_bin NOT NULL,
  `config_value` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`config_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_linktous_config` (`config_name`, `config_value`) VALUES
('path', 'images/links'),
('zippath', 'images/links/zips'),
('respath', 'images/links/res'),
('blktoshowml', '1'),
('blkziportext', '0'),
('blkscrollml', '0'),
('blkscrheightml', '31'),
('blkscrdelayml', '1'),
('blkorderml', '2'),
('blkalphaml', '0'),
('blkactiveres', '1'),
('blktoshowres', '10'),
('blkscrollres', '1'),
('blkscrheightres', '100'),
('blkscrdelayres', '1'),
('blkorderres', '2'),
('blkalphares', '1'),
('modalphaml', '0'),
('modorderbyml', '2'),
('modactiveres', '1'),
('modalphares', '1'),
('modorderbyres', '2');

CREATE TABLE IF NOT EXISTS `nuke_linktous_resources` (
  `r_id` int(11) NOT NULL AUTO_INCREMENT,
  `r_name` varchar(60) COLLATE utf8_bin NOT NULL,
  `r_url` varchar(255) COLLATE utf8_bin NOT NULL,
  `r_image` varchar(255) COLLATE utf8_bin NOT NULL,
  `r_status` int(1) NOT NULL DEFAULT '0',
  `r_size_width` char(3) COLLATE utf8_bin NOT NULL DEFAULT '0',
  `r_size_height` char(3) COLLATE utf8_bin NOT NULL DEFAULT '0',
  `r_hits` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`r_id`),
  KEY `r_id` (`r_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=2 ;

INSERT INTO `nuke_linktous_resources` (`r_id`, `r_name`, `r_url`, `r_image`, `r_status`, `r_size_width`, `r_size_height`, `r_hits`) VALUES
(1, 'Nukelearn Portal', 'http://nukelearn.com/', 'images/links/res/nukelearn_portal.png', 0, '88', '31', 2);


CREATE TABLE IF NOT EXISTS `nuke_main` (
  `main_module` varchar(255) COLLATE utf8_bin NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_main` (`main_module`) VALUES
('News');

CREATE TABLE IF NOT EXISTS `nuke_modules` (
  `mid` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8_bin NOT NULL,
  `custom_title` varchar(255) COLLATE utf8_bin NOT NULL,
  `active` int(1) NOT NULL DEFAULT '0',
  `view` int(1) NOT NULL DEFAULT '0',
  `inmenu` tinyint(1) NOT NULL DEFAULT '1',
  `mod_group` int(10) DEFAULT '0',
  `admins` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`mid`),
  KEY `mid` (`mid`),
  KEY `title` (`title`),
  KEY `custom_title` (`custom_title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=45 ;

INSERT INTO `nuke_modules` (`mid`, `title`, `custom_title`, `active`, `view`, `inmenu`, `mod_group`, `admins`) VALUES
(1, 'AvantGo', 'آرشیو ردیفی اخبار', 1, 0, 1, 0, ''),
(2, 'Downloads', 'دریافت فایل', 1, 0, 1, 0, ''),
(3, 'Contact_Plus', 'نظرات و پیشنهادات', 1, 0, 1, 0, ''),
(4, 'News', 'اخبار', 1, 0, 1, 0, ''),
(5, 'Pages', 'صفحات اضافه', 1, 0, 1, 0, ''),
(6, 'Recommend_Us', 'معرفی به دوستان', 1, 0, 1, 0, ''),
(7, 'Search', 'جستجو', 1, 0, 1, 0, ''),
(8, 'Stories_Archive', 'آرشیو مطالب', 1, 0, 1, 0, ''),
(9, 'Submit_Downloads', 'ارسال فایل', 0, 0, 1, 0, ''),
(10, 'Submit_News', 'ارسال اخبار', 1, 0, 1, 0, ''),
(11, 'Surveys', 'نظرسنجی ها', 1, 0, 1, 0, ''),
(12, 'Top', 'بهترینهای سایت', 1, 0, 1, 0, ''),
(13, 'Topics', 'موضوعات', 1, 0, 1, 0, ''),
(14, 'Web_Links', 'لینکستان', 1, 0, 1, 0, ''),
(15, 'Your_Account', 'صفحه شخصی', 1, 0, 1, 0, ''),
(16, 'Advertising', 'تبلیغات', 1, 0, 1, 0, ''),
(17, 'Link_To_Us', 'لینک به ما', 1, 0, 1, 0, ''),
(18, 'NukeSentinel', 'نگهبان سایت', 1, 0, 1, 0, ''),
(19, 'Site_Map', 'نقشه سايت', 1, 0, 1, 0, ''),
(20, 'Dynamic_Keywords', 'کلید واژه ها', 1, 0, 1, 0, ''),
(21, 'jCalendar', 'تقویم جلالی', 1, 0, 1, 0, '');

CREATE TABLE IF NOT EXISTS `nuke_msconfig` (
  `id` varchar(50) COLLATE utf8_bin NOT NULL,
  `value` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_msconfig` (`id`, `value`) VALUES
('results-per-page', '7'),
('mSearch-version', '3.0'),
('enable-rss', 'on'),
('use-gsearch', 'on'),
('scope-on-front-page', 'on');


CREATE TABLE IF NOT EXISTS `nuke_msmodules` (
  `name` text COLLATE utf8_bin NOT NULL,
  `use` text COLLATE utf8_bin NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_nsngd_accesses` (
  `username` varchar(60) COLLATE utf8_bin NOT NULL,
  `downloads` int(11) NOT NULL DEFAULT '0',
  `uploads` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_nsngd_categories` (
  `cid` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) COLLATE utf8_bin NOT NULL,
  `cdescription` text COLLATE utf8_bin NOT NULL,
  `parentid` int(11) NOT NULL DEFAULT '0',
  `whoadd` tinyint(2) NOT NULL DEFAULT '0',
  `uploaddir` varchar(255) COLLATE utf8_bin NOT NULL,
  `canupload` tinyint(2) NOT NULL DEFAULT '0',
  `active` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`cid`),
  KEY `cid` (`cid`),
  KEY `title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_nsngd_config` (
  `config_name` varchar(255) COLLATE utf8_bin NOT NULL,
  `config_value` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`config_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_nsngd_config` (`config_name`, `config_value`) VALUES
('admperpage', '50'),
('blockunregmodify', '0'),
('dateformat', 'D M j G:i:s T Y'),
('mostpopular', '25'),
('mostpopulartrig', '0'),
('perpage', '10'),
('popular', '500'),
('results', '10'),
('show_links_num', '0'),
('usegfxcheck', '0'),
('show_download', '0'),
('version_number', '1.0.3');

CREATE TABLE IF NOT EXISTS `nuke_nsngd_downloads` (
  `lid` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(100) COLLATE utf8_bin NOT NULL,
  `url` varchar(255) COLLATE utf8_bin NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `name` varchar(100) COLLATE utf8_bin NOT NULL,
  `email` varchar(100) COLLATE utf8_bin NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  `submitter` varchar(60) COLLATE utf8_bin NOT NULL,
  `sub_ip` varchar(16) COLLATE utf8_bin NOT NULL DEFAULT '0.0.0.0',
  `filesize` bigint(20) NOT NULL DEFAULT '0',
  `version` varchar(20) COLLATE utf8_bin NOT NULL,
  `homepage` varchar(255) COLLATE utf8_bin NOT NULL,
  `active` tinyint(2) NOT NULL DEFAULT '1',
  `password` varchar(255) COLLATE utf8_bin NOT NULL,
  `source` varchar(255) COLLATE utf8_bin NOT NULL,
  `tags` varchar(256) COLLATE utf8_bin NOT NULL,
  `rate` int(8) NOT NULL DEFAULT '0',
  `rates_count` int(8) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lid`),
  KEY `lid` (`lid`),
  KEY `cid` (`cid`),
  KEY `sid` (`sid`),
  KEY `title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_nsngd_extensions` (
  `eid` int(11) NOT NULL AUTO_INCREMENT,
  `ext` varchar(6) COLLATE utf8_bin NOT NULL,
  `file` tinyint(1) NOT NULL DEFAULT '0',
  `image` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`eid`),
  KEY `ext` (`eid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=21 ;

INSERT INTO `nuke_nsngd_extensions` (`eid`, `ext`, `file`, `image`) VALUES
(1, '.ace', 1, 0),
(2, '.arj', 1, 0),
(3, '.bz', 1, 0),
(4, '.bz2', 1, 0),
(5, '.cab', 1, 0),
(6, '.exe', 1, 0),
(7, '.gif', 0, 1),
(8, '.gz', 1, 0),
(9, '.iso', 1, 0),
(10, '.jpeg', 0, 1),
(11, '.jpg', 0, 1),
(12, '.lha', 1, 0),
(13, '.lzh', 1, 0),
(14, '.png', 0, 1),
(15, '.rar', 1, 0),
(16, '.tar', 1, 0),
(17, '.tgz', 1, 0),
(18, '.uue', 1, 0),
(19, '.zip', 1, 0),
(20, '.zoo', 1, 0);

CREATE TABLE IF NOT EXISTS `nuke_nsngd_mods` (
  `rid` int(11) NOT NULL AUTO_INCREMENT,
  `lid` int(11) NOT NULL DEFAULT '0',
  `cid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(100) COLLATE utf8_bin NOT NULL,
  `url` varchar(255) COLLATE utf8_bin NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `modifier` varchar(60) COLLATE utf8_bin NOT NULL,
  `sub_ip` varchar(16) COLLATE utf8_bin NOT NULL DEFAULT '0.0.0.0',
  `brokendownload` int(3) NOT NULL DEFAULT '0',
  `name` varchar(100) COLLATE utf8_bin NOT NULL,
  `email` varchar(100) COLLATE utf8_bin NOT NULL,
  `filesize` bigint(20) NOT NULL DEFAULT '0',
  `version` varchar(20) COLLATE utf8_bin NOT NULL,
  `homepage` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`rid`),
  UNIQUE KEY `rid` (`rid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_nsngd_new` (
  `lid` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(100) COLLATE utf8_bin NOT NULL,
  `url` varchar(255) COLLATE utf8_bin NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `name` varchar(100) COLLATE utf8_bin NOT NULL,
  `email` varchar(100) COLLATE utf8_bin NOT NULL,
  `submitter` varchar(60) COLLATE utf8_bin NOT NULL,
  `sub_ip` varchar(16) COLLATE utf8_bin NOT NULL DEFAULT '0.0.0.0',
  `filesize` bigint(20) NOT NULL DEFAULT '0',
  `version` varchar(20) COLLATE utf8_bin NOT NULL,
  `homepage` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`lid`),
  KEY `lid` (`lid`),
  KEY `cid` (`cid`),
  KEY `sid` (`sid`),
  KEY `title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_nsnst_admins` (
  `aid` varchar(25) COLLATE utf8_bin NOT NULL,
  `login` varchar(25) COLLATE utf8_bin NOT NULL,
  `password` varchar(40) COLLATE utf8_bin NOT NULL,
  `password_md5` varchar(60) COLLATE utf8_bin NOT NULL,
  `password_crypt` varchar(60) COLLATE utf8_bin NOT NULL,
  `protected` tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`aid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_nsnst_blocked_ips` (
  `ip_addr` varchar(15) COLLATE utf8_bin NOT NULL,
  `ip_long` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '1',
  `username` varchar(60) COLLATE utf8_bin NOT NULL,
  `user_agent` text COLLATE utf8_bin NOT NULL,
  `date` int(20) NOT NULL DEFAULT '0',
  `notes` text COLLATE utf8_bin NOT NULL,
  `reason` tinyint(1) NOT NULL DEFAULT '0',
  `query_string` text COLLATE utf8_bin NOT NULL,
  `get_string` text COLLATE utf8_bin NOT NULL,
  `post_string` text COLLATE utf8_bin NOT NULL,
  `x_forward_for` varchar(32) COLLATE utf8_bin NOT NULL,
  `client_ip` varchar(32) COLLATE utf8_bin NOT NULL,
  `remote_addr` varchar(32) COLLATE utf8_bin NOT NULL,
  `remote_port` varchar(11) COLLATE utf8_bin NOT NULL,
  `request_method` varchar(10) COLLATE utf8_bin NOT NULL,
  `expires` int(20) NOT NULL DEFAULT '0',
  `c2c` char(2) COLLATE utf8_bin NOT NULL DEFAULT '00',
  PRIMARY KEY (`ip_addr`),
  KEY `ip_long` (`ip_long`),
  KEY `c2c` (`c2c`),
  KEY `date` (`date`),
  KEY `expires` (`expires`),
  KEY `reason` (`reason`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_nsnst_blocked_ranges` (
  `ip_lo` int(10) unsigned NOT NULL DEFAULT '0',
  `ip_hi` int(10) unsigned NOT NULL DEFAULT '0',
  `date` int(20) NOT NULL DEFAULT '0',
  `notes` text COLLATE utf8_bin NOT NULL,
  `reason` tinyint(1) NOT NULL DEFAULT '0',
  `expires` int(20) NOT NULL DEFAULT '0',
  `c2c` char(2) COLLATE utf8_bin NOT NULL DEFAULT '00',
  PRIMARY KEY (`ip_lo`,`ip_hi`),
  KEY `c2c` (`c2c`),
  KEY `date` (`date`),
  KEY `expires` (`expires`),
  KEY `reason` (`reason`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_nsnst_blockers` (
  `blocker` int(4) NOT NULL DEFAULT '0',
  `block_name` varchar(20) COLLATE utf8_bin NOT NULL,
  `activate` int(4) NOT NULL DEFAULT '0',
  `block_type` int(4) NOT NULL DEFAULT '0',
  `email_lookup` int(4) NOT NULL DEFAULT '0',
  `forward` varchar(255) COLLATE utf8_bin NOT NULL,
  `reason` varchar(20) COLLATE utf8_bin NOT NULL,
  `template` varchar(255) COLLATE utf8_bin NOT NULL,
  `duration` int(20) NOT NULL DEFAULT '0',
  `htaccess` int(4) NOT NULL DEFAULT '0',
  `list` longtext COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`blocker`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES
(0, 'other', 0, 0, 0, '', 'Abuse-Other', 'abuse_default.tpl', 0, 0, ''),
(1, 'union', 1, 0, 0, '', 'Abuse-Union', 'abuse_union.tpl', 0, 0, ''),
(2, 'clike', 1, 0, 0, '', 'Abuse-CLike', 'abuse_clike.tpl', 0, 0, ''),
(3, 'harvester', 0, 0, 0, '', 'Abuse-Harvest', 'abuse_harvester.tpl', 0, 0, ''),
(4, 'script', 1, 0, 0, '', 'Abuse-Script', 'abuse_script.tpl', 0, 0, ''),
(5, 'author', 1, 0, 0, '', 'Abuse-Author', 'abuse_author.tpl', 0, 0, ''),
(6, 'referer', 0, 0, 0, '', 'Abuse-Referer', 'abuse_referer.tpl', 0, 0, ''),
(7, 'filter', 1, 0, 0, '', 'Abuse-Filter', 'abuse_filter.tpl', 0, 0, ''),
(8, 'request', 0, 0, 0, '', 'Abuse-Request', 'abuse_request.tpl', 0, 0, ''),
(9, 'string', 0, 0, 0, '', 'Abuse-String', 'abuse_string.tpl', 0, 0, ''),
(10, 'admin', 1, 0, 0, '', 'Abuse-Admin', 'abuse_admin.tpl', 0, 0, ''),
(11, 'flood', 0, 0, 0, '', 'Abuse-Flood', 'abuse_flood.tpl', 0, 0, '');

CREATE TABLE IF NOT EXISTS `nuke_nsnst_cidrs` (
  `cidr` int(2) NOT NULL DEFAULT '0',
  `hosts` int(10) NOT NULL DEFAULT '0',
  `mask` varchar(15) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`cidr`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES
(1, 2147483647, '127.255.255.255'),
(2, 1073741824, '63.255.255.255'),
(3, 536870912, '31.255.255.255'),
(4, 268435456, '15.255.255.255'),
(5, 134217728, '7.255.255.255'),
(6, 67108864, '3.255.255.255'),
(7, 33554432, '1.255.255.255'),
(8, 16777216, '0.255.255.255'),
(9, 8388608, '0.127.255.255'),
(10, 4194304, '0.63.255.255'),
(11, 2097152, '0.31.255.255'),
(12, 1048576, '0.15.255.255'),
(13, 524288, '0.7.255.255'),
(14, 262144, '0.3.255.255'),
(15, 131072, '0.1.255.255'),
(16, 65536, '0.0.255.255'),
(17, 32768, '0.0.127.255'),
(18, 16384, '0.0.63.255'),
(19, 8192, '0.0.31.255'),
(20, 4096, '0.0.15.255'),
(21, 2048, '0.0.7.255'),
(22, 1024, '0.0.3.255'),
(23, 512, '0.0.1.255'),
(24, 256, '0.0.0.255'),
(25, 128, '0.0.0.127'),
(26, 64, '0.0.0.63'),
(27, 32, '0.0.0.31'),
(28, 16, '0.0.0.15'),
(29, 8, '0.0.0.7'),
(30, 4, '0.0.0.3'),
(31, 2, '0.0.0.1'),
(32, 1, '0.0.0.0');

CREATE TABLE IF NOT EXISTS `nuke_nsnst_config` (
  `config_name` varchar(255) COLLATE utf8_bin NOT NULL,
  `config_value` longtext COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`config_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_nsnst_config` (`config_name`, `config_value`) VALUES
('admin_contact', 'webmaster@yoursite.com'),
('block_perpage', '50'),
('block_sort_column', 'date'),
('block_sort_direction', 'desc'),
('crypt_salt', 'N$'),
('disable_switch', '0'),
('display_link', '3'),
('display_reason', '3'),
('dump_directory', 'cache/'),
('flood_delay', '2'),
('force_nukeurl', '0'),
('ftaccess_path', ''),
('help_switch', '1'),
('htaccess_path', ''),
('http_auth', '0'),
('ip2c_version', '0'),
('list_harvester', '@yahoo.com\r\nalexibot\r\nalligator\r\nanonymiz\r\nasterias\r\nbackdoorbot\r\nblack hole\r\nblackwidow\r\nblowfish\r\nbotalot\r\nbuiltbottough\r\nbullseye\r\nbunnyslippers\r\ncatch\r\ncegbfeieh\r\ncharon\r\ncheesebot\r\ncherrypicker\r\nchinaclaw\r\ncombine\r\ncopyrightcheck\r\ncosmos\r\ncrescent\r\ncurl\r\ndbrowse\r\ndisco\r\ndittospyder\r\ndlman\r\ndnloadmage\r\ndownload\r\ndreampassport\r\ndts agent\r\necatch\r\neirgrabber\r\nerocrawler\r\nexpress webpictures\r\nextractorpro\r\neyenetie\r\nfantombrowser\r\nfantomcrew browser\r\nfileheap\r\nfilehound\r\nflashget\r\nfoobot\r\nfranklin locator\r\nfreshdownload\r\nfscrawler\r\ngamespy_arcade\r\ngetbot\r\ngetright\r\ngetweb\r\ngo!zilla\r\ngo-ahead-got-it\r\ngrab\r\ngrafula\r\ngsa-crawler\r\nharvest\r\nhloader\r\nhmview\r\nhttplib\r\nhttpresume\r\nhttrack\r\nhumanlinks\r\nigetter\r\nimage stripper\r\nimage sucker\r\nindustry program\r\nindy library\r\ninfonavirobot\r\ninstallshield digitalwizard\r\ninterget\r\niria\r\nirvine\r\niupui research bot\r\njbh agent\r\njennybot\r\njetcar\r\njobo\r\njoc\r\nkapere\r\nkenjin spider\r\nkeyword density\r\nlarbin\r\nleechftp\r\nleechget\r\nlexibot\r\nlibweb/clshttp\r\nlibwww-perl\r\nlightningdownload\r\nlincoln state web browser\r\nlinkextractorpro\r\nlinkscan/8.1a.unix\r\nlinkwalker\r\nlwp-trivial\r\nlwp::simple\r\nmac finder\r\nmata hari\r\nmediasearch\r\nmetaproducts\r\nmicrosoft url control\r\nmidown tool\r\nmiixpc\r\nmissauga locate\r\nmissouri college browse\r\nmister pix\r\nmoget\r\nmozilla.*newt\r\nmozilla/3.0 (compatible)\r\nmozilla/3.mozilla/2.01\r\nmsie 4.0 (win95)\r\nmultiblocker browser\r\nmydaemon\r\nmygetright\r\nnabot\r\nnavroad\r\nnearsite\r\nnet vampire\r\nnetants\r\nnetmechanic\r\nnetpumper\r\nnetspider\r\nnewsearchengine\r\nnicerspro\r\nninja\r\nnitro downloader\r\nnpbot\r\noctopus\r\noffline explorer\r\noffline navigator\r\nopenfind\r\npagegrabber\r\npapa foto\r\npavuk\r\npbrowse\r\npcbrowser\r\npeval\r\npompos/\r\nprogram shareware\r\npropowerbot\r\nprowebwalker\r\npsurf\r\npuf\r\npuxarapido\r\nqueryn metasearch\r\nrealdownload\r\nreget\r\nrepomonkey\r\nrsurf\r\nrumours-agent\r\nsakura\r\nscan4mail\r\nsemanticdiscovery\r\nsitesnagger\r\nslysearch\r\nspankbot\r\nspanner \r\nspiderzilla\r\nsq webscanner\r\nstamina\r\nstar downloader\r\nsteeler\r\n\r\nstrip\r\nsuperbot\r\nsuperhttp\r\nsurfbot\r\nsuzuran\r\nswbot\r\nszukacz\r\ntakeout\r\nteleport\r\ntelesoft\r\ntest spider\r\nthe intraformant\r\nthenomad\r\ntighttwatbot\r\ntitan\r\ntocrawl/urldispatcher\r\ntrue_robot\r\ntsurf\r\nturing machine\r\nturingos\r\nurlblaze\r\nurlgetfile\r\nurly warning\r\nutilmind\r\nvci\r\nvoideye\r\nweb image collector\r\nweb sucker\r\nwebauto\r\nwebbandit\r\nwebcapture\r\nwebcollage\r\nwebcopier\r\nwebenhancer\r\nwebfetch\r\nwebgo\r\nwebleacher\r\nwebmasterworldforumbot\r\nwebql\r\nwebreaper\r\nwebsite extractor\r\nwebsite quester\r\nwebster\r\nwebstripper\r\nwebwhacker\r\nwep search\r\nwget\r\nwhizbang\r\nwidow\r\nwildsoft surfer\r\nwww-collector-e\r\nwww.netwu.com\r\nwwwoffle\r\nxaldon\r\nxenu\r\nzeus\r\nziggy\r\nzippy'),
('list_referer', '121hr.com\r\n1st-call.net\r\n1stcool.com\r\n5000n.com\r\n69-xxx.com\r\n9irl.com\r\n9uy.com\r\na-day-at-the-party.com\r\naccessthepeace.com\r\nadult-model-nude-pictures.com\r\nadult-sex-toys-free-porn.com\r\nagnitum.com\r\nalfonssackpfeiffe.com\r\nalongwayfrommars.com\r\nanime-sex-1.com\r\nanorex-sf-stimulant-free.com\r\nantibot.net\r\nantique-tokiwa.com\r\napotheke-heute.com\r\narmada31.com\r\nartark.com\r\nartlilei.com\r\nascendbtg.com\r\naschalaecheck.com\r\nasian-sex-free-sex.com\r\naslowspeeker.com\r\nassasinatedfrogs.com\r\nathirst-for-tranquillity.net\r\naubonpanier.com\r\navalonumc.com\r\nayingba.com\r\nbayofnoreturn.com\r\nbbw4phonesex.com\r\nbeersarenotfree.com\r\nbierikiuetsch.com\r\nbilingualannouncements.com\r\nblack-pussy-toon-clip-anal-lover-single.com\r\nblownapart.com\r\nblueroutes.com\r\nboasex.com\r\nbooksandpages.com\r\nbootyquake.com\r\nbossyhunter.com\r\nboyz-sex.com\r\nbrokersaandpokers.com\r\nbrowserwindowcleaner.com\r\nbudobytes.com\r\nbusiness2fun.com\r\nbuymyshitz.com\r\nbyuntaesex.com\r\ncaniputsomeloveintoyou.com\r\ncartoons.net.ru\r\ncaverunsailing.com\r\ncertainhealth.com\r\nclantea.com\r\nclose-protection-services.com\r\nclubcanino.com\r\nclubstic.com\r\ncobrakai-skf.com\r\ncollegefucktour.co.uk\r\ncommanderspank.com\r\ncoolenabled.com\r\ncrusecountryart.com\r\ncrusingforsex.co.uk\r\ncunt-twat-pussy-juice-clit-licking.com\r\ncustomerhandshaker.com\r\ncyborgrama.com\r\ndarkprofits.co.uk\r\ndatingforme.co.uk\r\ndatingmind.com\r\ndegree.org.ru\r\ndelorentos.com\r\ndiggydigger.com\r\ndinkydonkyaussie.com\r\ndjpritchard.com\r\ndjtop.com\r\ndraufgeschissen.com\r\ndreamerteens.co.uk\r\nebonyarchives.co.uk\r\nebonyplaya.co.uk\r\necobuilder2000.com\r\nemailandemail.com\r\nemedici.net\r\nengine-on-fire.com\r\nerocity.co.uk\r\nesport3.com\r\neteenbabes.com\r\neurofreepages.com\r\neurotexans.com\r\nevolucionweb.com\r\nfakoli.com\r\nfe4ba.com\r\nferienschweden.com\r\nfindly.com\r\nfirsttimeteadrinker.com\r\nfishing.net.ru\r\nflatwonkers.com\r\nflowershopentertainment.com\r\nflymario.com\r\nfree-xxx-pictures-porno-gallery.com\r\nfreebestporn.com\r\nfreefuckingmovies.co.uk\r\nfreexxxstuff.co.uk\r\nfruitologist.net\r\nfruitsandbolts.com\r\nfuck-cumshots-free-midget-movie-clips.com\r\nfuck-michaelmoore.com\r\nfundacep.com\r\ngadless.com\r\ngallapagosrangers.com\r\ngalleries4free.co.uk\r\ngalofu.com\r\ngaypixpost.co.uk\r\ngeomasti.com\r\ngirltime.co.uk\r\nglassrope.com\r\ngodjustblessyouall.com\r\ngoldenageresort.com\r\ngonnabedaddies.com\r\ngranadasexi.com\r\n\r\nguardingtheangels.com\r\nguyprofiles.co.uk\r\nhappy1225.com\r\nhappychappywacky.com\r\nhealth.org.ru\r\nhexplas.com\r\nhighheelsmodels4fun.com\r\nhillsweb.com\r\nhiptuner.com\r\nhistoryintospace.com\r\nhoa-tuoi.com\r\nhomebuyinginatlanta.com\r\nhorizonultra.com\r\nhorseminiature.net\r\nhotkiss.co.uk\r\nhotlivegirls.co.uk\r\nhotmatchup.co.uk\r\nhusler.co.uk\r\niaentertainment.com\r\niamnotsomeone.com\r\niconsofcorruption.com\r\nihavenotrustinyou.com\r\ninformat-systems.com\r\ninteriorproshop.com\r\nintersoftnetworks.com\r\ninthecrib.com\r\ninvestment4cashiers.com\r\niti-trailers.com\r\njackpot-hacker.com\r\njacks-world.com\r\njamesthesailorbasher.com\r\njesuislemonds.com\r\njustanotherdomainname.com\r\nkampelicka.com\r\nkanalrattenarsch.com\r\nkatzasher.com\r\nkerosinjunkie.com\r\nkillasvideo.com\r\nkoenigspisser.com\r\nkontorpara.com\r\nl8t.com\r\nlaestacion101.com\r\nlambuschlamppen.com\r\nlankasex.co.uk\r\nlaser-creations.com\r\nle-tour-du-monde.com\r\nlecraft.com\r\nledo-design.com\r\nleftregistration.com\r\nlekkikoomastas.com\r\nlepommeau.com\r\nlibr-animal.com\r\nlibraries.org.ru\r\nlikewaterlikewind.com\r\nlimbojumpers.com\r\nlink.ru\r\nlockportlinks.com\r\nloiproject.com\r\nlongtermalternatives.com\r\nlottoeco.com\r\nlucalozzi.com\r\nmaki-e-pens.com\r\nmalepayperview.co.uk\r\nmangaxoxo.com\r\nmaps.org.ru\r\nmarcofields.com\r\nmasterofcheese.com\r\nmasteroftheblasterhill.com\r\nmastheadwankers.com\r\nmegafrontier.com\r\nmeinschuppen.com\r\nmercurybar.com\r\nmetapannas.com\r\nmicelebre.com\r\nmidnightlaundries.com\r\nmikeapartment.co.uk\r\nmillenniumchorus.com\r\nmimundial2002.com\r\nminiaturegallerymm.com\r\nmixtaperadio.com\r\nmondialcoral.com\r\nmonja-wakamatsu.com\r\nmonstermonkey.net\r\nmouthfreshners.com\r\nmullensholiday.com\r\nmusilo.com\r\nmyhollowlog.com\r\nmyhomephonenumber.com\r\nmykeyboardisbroken.com\r\nmysofia.net\r\nnaked-cheaters.com\r\nnaked-old-women.com\r\nnastygirls.co.uk\r\nnationclan.net\r\nnatterratter.com\r\nnaughtyadam.com\r\nnestbeschmutzer.com\r\nnetwu.com\r\nnewrealeaseonline.com\r\nnewrealeasesonline.com\r\nnextfrontiersonline.com\r\nnikostaxi.com\r\nnotorious7.com\r\nnrecruiter.com\r\nnursingdepot.com\r\nnustramosse.com\r\nnuturalhicks.com\r\noccaz-auto49.com\r\nocean-db.net\r\noilburnerservice.net\r\nomburo.com\r\noneoz.com\r\nonepageahead.net\r\nonlinewithaline.com\r\norganizate.net\r\nourownweddingsong.com\r\nowen-music.com\r\np-partners.com\r\npaginadeautor.com\r\npakistandutyfree.com\r\npamanderson.co.uk\r\nparentsense.net\r\nparticlewave.net\r\npay-clic.com\r\npay4link.net\r\npcisp.com\r\npersist-pharma.com\r\npeteband.com\r\npetplusindia.com\r\npickabbw.co.uk\r\npicture-oral-position-lesbian.com\r\npl8again.com\r\nplaneting.net\r\npopusky.com\r\nporn-expert.com\r\npromoblitza.com\r\nproproducts-usa.com\r\nptcgzone.com\r\nptporn.com\r\npublishmybong.com\r\nputtingtogether.com\r\nqualifiedcancelations.com\r\nrahost.com\r\nrainbow21.com\r\nrakkashakka.com\r\nrandomfeeding.com\r\nrape-art.com\r\nrd-brains.com\r\nrealestateonthehill.net\r\nrebuscadobot\r\nrequested-stuff.com\r\nretrotrasher.com\r\nricopositive.com\r\nrisorseinrete.com\r\nrotatingcunts.com\r\nrunawayclicks.com\r\nrutalibre.com\r\ns-marche.com\r\nsabrosojazz.com\r\nsamuraidojo.com\r\nsanaldarbe.com\r\nsasseminars.com\r\nschlampenbruzzler.com\r\nsearchmybong.com\r\nseckur.com\r\nsex-asian-porn-interracial-photo.com\r\nsex-porn-fuck-hardcore-movie.com\r\nsexa3.net\r\nsexer.com\r\nsexintention.com\r\nsexnet24.tv\r\nsexomundo.com\r\nsharks.com.ru\r\nshells.com.ru\r\nshop-ecosafe.com\r\nshop-toon-hardcore-fuck-cum-pics.com\r\nsilverfussions.com\r\nsin-city-sex.net\r\nsluisvan.com\r\nsmutshots.com\r\nsnagglersmaggler.com\r\nsomethingtoforgetit.com\r\nsophiesplace.net\r\nsoursushi.com\r\nsouthernxstables.com\r\nspeed467.com\r\nspeedpal4you.com\r\nsporty.org.ru\r\nstopdriving.net\r\nstw.org.ru\r\nsufficientlife.com\r\nsussexboats.net\r\nswinger-party-free-dating-porn-sluts.com\r\nsydneyhay.com\r\nszmjht.com\r\nteninchtrout.com\r\nthebalancedfruits.com\r\ntheendofthesummit.com\r\nthiswillbeit.com\r\nthosethosethose.com\r\nticyclesofindia.com\r\ntits-gay-fagot-black-tits-bigtits-amateur.com\r\ntonius.com\r\ntoohsoft.com\r\ntoolvalley.com\r\ntooporno.net\r\ntoosexual.com\r\ntorngat.com\r\ntour.org.ru\r\ntowneluxury.com\r\ntrafficmogger.com\r\ntriacoach.net\r\ntrottinbob.com\r\ntttframes.com\r\ntvjukebox.net\r\nundercvr.com\r\nunfinished-desires.com\r\nunicornonero.com\r\nunionvillefire.com\r\nupsandowns.com\r\nupthehillanddown.com\r\nvallartavideo.com\r\nvietnamdatingservices.com\r\nvinegarlemonshots.com\r\nvizy.net.ru\r\nvnladiesdatingservices.com\r\nvomitandbusted.com\r\nwalkingthewalking.com\r\nwell-I-am-the-type-of-boy.com\r\nwhales.com.ru\r\nwhincer.net\r\nwhitpagesrippers.com\r\nwhois.sc\r\nwipperrippers.com\r\nwordfilebooklets.com\r\nworld-sexs.com\r\nxsay.com\r\nxxxchyangel.com\r\nxxxx:\r\nxxxzips.com\r\nyouarelostintransit.com\r\nyuppieslovestocks.com\r\nyuzhouhuagong.com\r\nzhaori-food.com\r\nzwiebelbacke.com'),
('list_string', ''),
('lookup_link', 'http://www.DNSstuff.com/tools/whois.ch?ip='),
('page_delay', '5'),
('prevent_dos', '0'),
('proxy_reason', 'admin_proxy_reason.tpl'),
('proxy_switch', '0'),
('santy_protection', '1'),
('self_expire', '0'),
('show_right', '0'),
('site_reason', 'admin_site_reason.tpl'),
('site_switch', '0'),
('staccess_path', ''),
('test_switch', '0'),
('track_active', '0'),
('track_clear', '0'),
('track_max', '604800'),
('track_perpage', '50'),
('track_sort_column', '6'),
('track_sort_direction', 'desc'),
('version_check', '1191745602'),
('version_newest', '2.5.16'),
('version_number', '2.6.01'),
('disable_from_date', '2011-03-28 2:04:24'),
('disable_to_date', '2011-03-31 6:25:34'),
('disable_reason', '');

CREATE TABLE IF NOT EXISTS `nuke_nsnst_countries` (
  `c2c` char(2) COLLATE utf8_bin NOT NULL,
  `country` varchar(60) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`c2c`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_nsnst_countries` (`c2c`, `country`) VALUES
('00', 'Unknown'),
('01', 'IANA Reserved'),
('02', 'UnAllocated'),
('ac', 'Ascension Island'),
('ad', 'Andorra'),
('ae', 'United Arab Emirates'),
('af', 'Afghanistan'),
('ag', 'Antigua And Barbuda'),
('ai', 'Anguilla'),
('al', 'Albania'),
('am', 'Armenia'),
('an', 'Netherlands Antilles'),
('ao', 'Angola'),
('ap', 'Aripo'),
('aq', 'Antartica'),
('ar', 'Argentina'),
('as', 'Samoa, American'),
('at', 'Austria'),
('au', 'Australia'),
('aw', 'Aruba'),
('az', 'Azerbaijan'),
('ba', 'Bosnia And Herzegovina'),
('bb', 'Barbados'),
('bd', 'Bangladesh'),
('be', 'Belgium'),
('bf', 'Burkina Faso'),
('bg', 'Bulgaria'),
('bh', 'Bahrain'),
('bi', 'Burundi'),
('bj', 'Benin'),
('bm', 'Bermuda'),
('bn', 'Brunei Darussalam'),
('bo', 'Bolivia'),
('br', 'Brazil'),
('bs', 'Bahamas'),
('bt', 'Bhutan'),
('bv', 'Bouvet Island'),
('bw', 'Botswana'),
('by', 'Belarus'),
('bz', 'Belize'),
('ca', 'Canada'),
('cc', 'Cocos Islands'),
('cd', 'Congo, Democratic Republic Of The'),
('cf', 'Central African Republic'),
('cg', 'Congo, People''s Republic Of The'),
('ch', 'Switzerland'),
('ci', 'Cote D''ivoire'),
('ck', 'Cook Islands'),
('cl', 'Chile'),
('cm', 'Cameroon'),
('cn', 'China'),
('co', 'Colombia'),
('cr', 'Costa Rica'),
('cs', 'Czechoslovakia (Former)'),
('cu', 'Cuba'),
('cv', 'Cape Verde'),
('cx', 'Christmas Island'),
('cy', 'Cyprus'),
('cz', 'Czech Republic'),
('de', 'Germany'),
('dj', 'Djibouti'),
('dk', 'Denmark'),
('dm', 'Dominica'),
('do', 'Dominican Republic'),
('dz', 'Algeria'),
('ec', 'Ecuador'),
('ee', 'Estonia'),
('eg', 'Egypt'),
('eh', 'Western Sahara'),
('er', 'Eritrea'),
('es', 'Spain'),
('et', 'Ethiopia'),
('eu', 'European Union'),
('fi', 'Finland'),
('fj', 'Fiji'),
('fk', 'Falkland Islands'),
('fm', 'Micronesia'),
('fo', 'Faroe Islands'),
('fr', 'France'),
('fx', 'France, Metropolitan'),
('ga', 'Gabon'),
('gb', 'United Kingdom'),
('gd', 'Grenada'),
('ge', 'Georgia'),
('gf', 'French Guiana'),
('gg', 'Guernsey'),
('gh', 'Ghana'),
('gi', 'Gibraltar'),
('gl', 'Greenland'),
('gm', 'Gambia'),
('gn', 'Guinea'),
('gp', 'Guadeloupe'),
('gq', 'Equatorial Guinea'),
('gr', 'Greece'),
('gs', 'South Georgia and The South Sandwich Islands'),
('gt', 'Guatemala'),
('gu', 'Guam'),
('gw', 'Guinea-Bissau'),
('gy', 'Guyana'),
('hk', 'Hong Kong'),
('hm', 'Heard and Mc Donald Islands'),
('hn', 'Honduras'),
('hr', 'Croatia'),
('ht', 'Haiti'),
('hu', 'Hungary'),
('id', 'Indonesia'),
('ie', 'Ireland'),
('il', 'Israel'),
('im', 'Isle Of Man'),
('in', 'India'),
('io', 'British Indian Ocean Territory'),
('iq', 'Iraq'),
('ir', 'Iran'),
('is', 'Iceland'),
('it', 'Italy'),
('je', 'Jersey'),
('jm', 'Jamaica'),
('jo', 'Jordan'),
('jp', 'Japan'),
('ke', 'Kenya'),
('kg', 'Kyrgyzstan'),
('kh', 'Cambodia'),
('ki', 'Kiribati'),
('km', 'Comoros'),
('kn', 'Saint Kitts And Nevis'),
('kp', 'Korea, North'),
('kr', 'Korea, South'),
('kw', 'Kuwait'),
('ky', 'Cayman Islands'),
('kz', 'Kazakhstan'),
('la', 'Laos'),
('lb', 'Lebanon'),
('lc', 'Saint Lucia'),
('li', 'Liechtenstein'),
('lk', 'Sri Lanka'),
('lr', 'Liberia'),
('ls', 'Lesotho'),
('lt', 'Lithuania'),
('lu', 'Luxembourg'),
('lv', 'Latvia'),
('ly', 'Libya'),
('ma', 'Morocco'),
('mc', 'Monaco'),
('md', 'Moldova'),
('me', 'Montenegro'),
('mg', 'Madagascar'),
('mh', 'Marshall Islands'),
('mk', 'Macedonia'),
('ml', 'Mali'),
('mm', 'Myanmar'),
('mn', 'Mongolia'),
('mo', 'Macau'),
('mp', 'Northern Mariana Islands'),
('mq', 'Martinique'),
('mr', 'Mauritania'),
('ms', 'Montserrat'),
('mt', 'Malta'),
('mu', 'Mauritius'),
('mv', 'Maldives'),
('mw', 'Malawi'),
('mx', 'Mexico'),
('my', 'Malaysia'),
('mz', 'Mozambique'),
('na', 'Namibia'),
('nc', 'New Caledonia'),
('ne', 'Niger'),
('nf', 'Norfork Island'),
('ng', 'Nigeria'),
('ni', 'Nicaragua'),
('nl', 'Netherlands'),
('no', 'Norway'),
('np', 'Nepal'),
('nr', 'Nauru'),
('nu', 'Niue'),
('nz', 'New Zealand'),
('om', 'Oman'),
('pa', 'Panama'),
('pe', 'Peru'),
('pf', 'French Polynesia'),
('pg', 'Papua New Guinea'),
('ph', 'Philippines'),
('pk', 'Pakistan'),
('pl', 'Poland'),
('pm', 'Saint Pierre and Miquelon'),
('pn', 'Pitcairn'),
('pr', 'Puerto Rico'),
('ps', 'Palestine'),
('pt', 'Portugal'),
('pw', 'Palau'),
('py', 'Paraguay'),
('qa', 'Qatar'),
('re', 'Reunion'),
('ro', 'Romania'),
('rs', 'Serbia'),
('ru', 'Russia'),
('rw', 'Rwanda'),
('sa', 'Saudi Arabia'),
('sb', 'Solomon Islands'),
('sc', 'Seychelles'),
('sd', 'Sudan'),
('se', 'Sweden'),
('sg', 'Singapore'),
('sh', 'Saint Helena'),
('si', 'Slovenia'),
('sj', 'Svalbard and Jan Mayen Islands'),
('sk', 'Slovakia'),
('sl', 'Sierra Leone'),
('sm', 'San Marino'),
('sn', 'Senegal'),
('so', 'Somalia'),
('sr', 'Suriname'),
('st', 'Sao Tome And Principe'),
('su', 'Soviet Union'),
('sv', 'El Salvador'),
('sy', 'Syria'),
('sz', 'Swaziland'),
('tc', 'Turks And Caicos Islands'),
('td', 'Chad'),
('tf', 'French Southern Territories'),
('tg', 'Togo'),
('th', 'Thailand'),
('tj', 'Tajikistan'),
('tk', 'Tokelau'),
('tl', 'Timor-leste'),
('tm', 'Turkmenistan'),
('tn', 'Tunisia'),
('to', 'Tonga'),
('tp', 'East Timor'),
('tr', 'Turkey'),
('tt', 'Trinidad And Tobago'),
('tv', 'Tuvalu'),
('tw', 'Taiwan'),
('tz', 'Tanzania'),
('ua', 'Ukraine'),
('ug', 'Uganda'),
('um', 'United States Minor Outlying Islands'),
('un', 'United Nations'),
('us', 'United States'),
('uy', 'Uruguay'),
('uz', 'Uzbekistan'),
('va', 'Vatican City State'),
('vc', 'Saint Vincent And The Grenadines'),
('ve', 'Venezuela'),
('vg', 'Virgin Islands, British'),
('vi', 'Virgin Islands, American'),
('vn', 'Viet Nam'),
('vu', 'Vanuatu'),
('wf', 'Wallis and Futuna Islands'),
('ws', 'Samoa'),
('ye', 'Yemen'),
('yt', 'Mayotte'),
('yu', 'Yugoslavia'),
('za', 'South Africa'),
('zm', 'Zambia'),
('zw', 'Zimbabwe');

CREATE TABLE IF NOT EXISTS `nuke_nsnst_excluded_ranges` (
  `ip_lo` int(10) unsigned NOT NULL DEFAULT '0',
  `ip_hi` int(10) unsigned NOT NULL DEFAULT '0',
  `date` int(20) NOT NULL DEFAULT '0',
  `notes` text COLLATE utf8_bin NOT NULL,
  `c2c` char(2) COLLATE utf8_bin NOT NULL DEFAULT '00',
  PRIMARY KEY (`ip_lo`,`ip_hi`),
  KEY `c2c` (`c2c`),
  KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_nsnst_excluded_ranges` (`ip_lo`, `ip_hi`, `date`, `notes`, `c2c`) VALUES
(2130706433, 2130706433, 1187087957, 'Admin''s personal ip', '00');

CREATE TABLE IF NOT EXISTS `nuke_nsnst_harvesters` (
  `hid` int(2) NOT NULL AUTO_INCREMENT,
  `harvester` varchar(255) COLLATE utf8_persian_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`harvester`),
  KEY `hid` (`hid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci AUTO_INCREMENT=220 ;

INSERT INTO `nuke_nsnst_harvesters` (`hid`, `harvester`) VALUES
(1, '@yahoo.com'),
(2, 'alexibot'),
(3, 'alligator'),
(4, 'anonymiz'),
(5, 'asterias'),
(6, 'backdoorbot'),
(7, 'black hole'),
(8, 'blackwidow'),
(9, 'blowfish'),
(10, 'botalot'),
(11, 'builtbottough'),
(12, 'bullseye'),
(13, 'bunnyslippers'),
(14, 'catch'),
(15, 'cegbfeieh'),
(16, 'charon'),
(17, 'cheesebot'),
(18, 'cherrypicker'),
(19, 'chinaclaw'),
(20, 'combine'),
(21, 'copyrightcheck'),
(22, 'cosmos'),
(23, 'crescent'),
(24, 'curl'),
(25, 'dbrowse'),
(26, 'disco'),
(27, 'dittospyder'),
(28, 'dlman'),
(29, 'dnloadmage'),
(30, 'download'),
(31, 'dreampassport'),
(32, 'dts agent'),
(33, 'ecatch'),
(34, 'eirgrabber'),
(35, 'erocrawler'),
(36, 'express webpictures'),
(37, 'extractorpro'),
(38, 'eyenetie'),
(39, 'fantombrowser'),
(40, 'fantomcrew browser'),
(41, 'fileheap'),
(42, 'filehound'),
(43, 'flashget'),
(44, 'foobot'),
(45, 'franklin locator'),
(46, 'freshdownload'),
(47, 'fscrawler'),
(48, 'gamespy_arcade'),
(49, 'getbot'),
(50, 'getright'),
(51, 'getweb'),
(52, 'go!zilla'),
(53, 'go-ahead-got-it'),
(54, 'grab'),
(55, 'grafula'),
(56, 'gsa-crawler'),
(57, 'harvest'),
(58, 'hloader'),
(59, 'hmview'),
(60, 'httplib'),
(61, 'httpresume'),
(62, 'httrack'),
(63, 'humanlinks'),
(64, 'igetter'),
(65, 'image stripper'),
(66, 'image sucker'),
(67, 'industry program'),
(68, 'indy library'),
(69, 'infonavirobot'),
(70, 'installshield digitalwizard'),
(71, 'interget'),
(72, 'iria'),
(73, 'irvine'),
(74, 'iupui research bot'),
(75, 'jbh agent'),
(76, 'jennybot'),
(77, 'jetcar'),
(78, 'jobo'),
(79, 'joc'),
(80, 'kapere'),
(81, 'kenjin spider'),
(82, 'keyword density'),
(83, 'larbin'),
(84, 'leechftp'),
(85, 'leechget'),
(86, 'lexibot'),
(87, 'libweb/clshttp'),
(88, 'libwww-perl'),
(89, 'lightningdownload'),
(90, 'lincoln state web browser'),
(91, 'linkextractorpro'),
(92, 'linkscan/8.1a.unix'),
(93, 'linkwalker'),
(94, 'lwp-trivial'),
(95, 'lwp::simple'),
(96, 'mac finder'),
(97, 'mata hari'),
(98, 'mediasearch'),
(99, 'metaproducts'),
(100, 'microsoft url control'),
(101, 'midown tool'),
(102, 'miixpc'),
(103, 'missauga locate'),
(104, 'missouri college browse'),
(105, 'mister pix'),
(106, 'moget'),
(107, 'mozilla.*newt'),
(108, 'mozilla/3.0 (compatible)'),
(109, 'mozilla/3.mozilla/2.01'),
(110, 'msie 4.0 (win95)'),
(111, 'multiblocker browser'),
(112, 'mydaemon'),
(113, 'mygetright'),
(114, 'nabot'),
(115, 'navroad'),
(116, 'nearsite'),
(117, 'net vampire'),
(118, 'netants'),
(119, 'netmechanic'),
(120, 'netpumper'),
(121, 'netspider'),
(122, 'newsearchengine'),
(123, 'nicerspro'),
(124, 'ninja'),
(125, 'nitro downloader'),
(126, 'npbot'),
(127, 'octopus'),
(128, 'offline explorer'),
(129, 'offline navigator'),
(130, 'openfind'),
(131, 'pagegrabber'),
(132, 'papa foto'),
(133, 'pavuk'),
(134, 'pbrowse'),
(135, 'pcbrowser'),
(136, 'peval'),
(137, 'pompos/'),
(138, 'program shareware'),
(139, 'propowerbot'),
(140, 'prowebwalker'),
(141, 'psurf'),
(142, 'puf'),
(143, 'puxarapido'),
(144, 'queryn metasearch'),
(145, 'realdownload'),
(146, 'reget'),
(147, 'repomonkey'),
(148, 'rsurf'),
(149, 'rumours-agent'),
(150, 'sakura'),
(151, 'scan4mail'),
(152, 'semanticdiscovery'),
(153, 'sitesnagger'),
(154, 'slysearch'),
(155, 'spankbot'),
(156, 'spanner '),
(157, 'spiderzilla'),
(158, 'sq webscanner'),
(159, 'stamina'),
(160, 'star downloader'),
(161, 'steeler'),
(162, 'strip'),
(163, 'superbot'),
(164, 'superhttp'),
(165, 'surfbot'),
(166, 'suzuran'),
(167, 'swbot'),
(168, 'szukacz'),
(169, 'takeout'),
(170, 'teleport'),
(171, 'telesoft'),
(172, 'test spider'),
(173, 'the intraformant'),
(174, 'thenomad'),
(175, 'tighttwatbot'),
(176, 'titan'),
(177, 'tocrawl/urldispatcher'),
(178, 'true_robot'),
(179, 'tsurf'),
(180, 'turing machine'),
(181, 'turingos'),
(182, 'urlblaze'),
(183, 'urlgetfile'),
(184, 'urly warning'),
(185, 'utilmind'),
(186, 'vci'),
(187, 'voideye'),
(188, 'web image collector'),
(189, 'web sucker'),
(190, 'webauto'),
(191, 'webbandit'),
(192, 'webcapture'),
(193, 'webcollage'),
(194, 'webcopier'),
(195, 'webenhancer'),
(196, 'webfetch'),
(197, 'webgo'),
(198, 'webleacher'),
(199, 'webmasterworldforumbot'),
(200, 'webql'),
(201, 'webreaper'),
(202, 'website extractor'),
(203, 'website quester'),
(204, 'webster'),
(205, 'webstripper'),
(206, 'webwhacker'),
(207, 'wep search'),
(208, 'wget'),
(209, 'whizbang'),
(210, 'widow'),
(211, 'wildsoft surfer'),
(212, 'www-collector-e'),
(213, 'www.netwu.com'),
(214, 'wwwoffle'),
(215, 'xaldon'),
(216, 'xenu'),
(217, 'zeus'),
(218, 'ziggy'),
(219, 'zippy');

CREATE TABLE IF NOT EXISTS `nuke_nsnst_ip2country` (
  `ip_lo` int(10) unsigned NOT NULL DEFAULT '0',
  `ip_hi` int(10) unsigned NOT NULL DEFAULT '0',
  `date` int(20) NOT NULL DEFAULT '0',
  `c2c` char(2) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`ip_lo`,`ip_hi`),
  KEY `c2c` (`c2c`),
  KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_nsnst_protected_ranges` (
  `ip_lo` int(10) unsigned NOT NULL DEFAULT '0',
  `ip_hi` int(10) unsigned NOT NULL DEFAULT '0',
  `date` int(20) NOT NULL DEFAULT '0',
  `notes` text COLLATE utf8_bin NOT NULL,
  `c2c` char(2) COLLATE utf8_bin NOT NULL DEFAULT '00',
  PRIMARY KEY (`ip_lo`,`ip_hi`),
  KEY `c2c` (`c2c`),
  KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_nsnst_protected_ranges` (`ip_lo`, `ip_hi`, `date`, `notes`, `c2c`) VALUES
(2130706433, 2130706433, 1187087957, 'Admin''s personal ip', '00');

CREATE TABLE IF NOT EXISTS `nuke_nsnst_referers` (
  `rid` int(2) NOT NULL AUTO_INCREMENT,
  `referer` varchar(255) COLLATE utf8_persian_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`referer`),
  KEY `rid` (`rid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci AUTO_INCREMENT=366 ;

INSERT INTO `nuke_nsnst_referers` (`rid`, `referer`) VALUES
(1, '121hr.com'),
(2, '1st-call.net'),
(3, '1stcool.com'),
(4, '5000n.com'),
(5, '69-xxx.com'),
(6, '9irl.com'),
(7, '9uy.com'),
(8, 'a-day-at-the-party.com'),
(9, 'accessthepeace.com'),
(10, 'adult-model-nude-pictures.com'),
(11, 'adult-sex-toys-free-porn.com'),
(12, 'agnitum.com'),
(13, 'alfonssackpfeiffe.com'),
(14, 'alongwayfrommars.com'),
(15, 'anime-sex-1.com'),
(16, 'anorex-sf-stimulant-free.com'),
(17, 'antibot.net'),
(18, 'antique-tokiwa.com'),
(19, 'apotheke-heute.com'),
(20, 'armada31.com'),
(21, 'artark.com'),
(22, 'artlilei.com'),
(23, 'ascendbtg.com'),
(24, 'aschalaecheck.com'),
(25, 'asian-sex-free-sex.com'),
(26, 'aslowspeeker.com'),
(27, 'assasinatedfrogs.com'),
(28, 'athirst-for-tranquillity.net'),
(29, 'aubonpanier.com'),
(30, 'avalonumc.com'),
(31, 'ayingba.com'),
(32, 'bayofnoreturn.com'),
(33, 'bbw4phonesex.com'),
(34, 'beersarenotfree.com'),
(35, 'bierikiuetsch.com'),
(36, 'bilingualannouncements.com'),
(37, 'black-pussy-toon-clip-anal-lover-single.com'),
(38, 'blownapart.com'),
(39, 'blueroutes.com'),
(40, 'boasex.com'),
(41, 'booksandpages.com'),
(42, 'bootyquake.com'),
(43, 'bossyhunter.com'),
(44, 'boyz-sex.com'),
(45, 'brokersaandpokers.com'),
(46, 'browserwindowcleaner.com'),
(47, 'budobytes.com'),
(48, 'business2fun.com'),
(49, 'buymyshitz.com'),
(50, 'byuntaesex.com'),
(51, 'caniputsomeloveintoyou.com'),
(52, 'cartoons.net.ru'),
(53, 'caverunsailing.com'),
(54, 'certainhealth.com'),
(55, 'clantea.com'),
(56, 'close-protection-services.com'),
(57, 'clubcanino.com'),
(58, 'clubstic.com'),
(59, 'cobrakai-skf.com'),
(60, 'collegefucktour.co.uk'),
(61, 'commanderspank.com'),
(62, 'coolenabled.com'),
(63, 'crusecountryart.com'),
(64, 'crusingforsex.co.uk'),
(65, 'cunt-twat-pussy-juice-clit-licking.com'),
(66, 'customerhandshaker.com'),
(67, 'cyborgrama.com'),
(68, 'darkprofits.co.uk'),
(69, 'datingforme.co.uk'),
(70, 'datingmind.com'),
(71, 'degree.org.ru'),
(72, 'delorentos.com'),
(73, 'diggydigger.com'),
(74, 'dinkydonkyaussie.com'),
(75, 'djpritchard.com'),
(76, 'djtop.com'),
(77, 'draufgeschissen.com'),
(78, 'dreamerteens.co.uk'),
(79, 'ebonyarchives.co.uk'),
(80, 'ebonyplaya.co.uk'),
(81, 'ecobuilder2000.com'),
(82, 'emailandemail.com'),
(83, 'emedici.net'),
(84, 'engine-on-fire.com'),
(85, 'erocity.co.uk'),
(86, 'esport3.com'),
(87, 'eteenbabes.com'),
(88, 'eurofreepages.com'),
(89, 'eurotexans.com'),
(90, 'evolucionweb.com'),
(91, 'fakoli.com'),
(92, 'fe4ba.com'),
(93, 'ferienschweden.com'),
(94, 'findly.com'),
(95, 'firsttimeteadrinker.com'),
(96, 'fishing.net.ru'),
(97, 'flatwonkers.com'),
(98, 'flowershopentertainment.com'),
(99, 'flymario.com'),
(100, 'free-xxx-pictures-porno-gallery.com'),
(101, 'freebestporn.com'),
(102, 'freefuckingmovies.co.uk'),
(103, 'freexxxstuff.co.uk'),
(104, 'fruitologist.net'),
(105, 'fruitsandbolts.com'),
(106, 'fuck-cumshots-free-midget-movie-clips.com'),
(107, 'fuck-michaelmoore.com'),
(108, 'fundacep.com'),
(109, 'gadless.com'),
(110, 'gallapagosrangers.com'),
(111, 'galleries4free.co.uk'),
(112, 'galofu.com'),
(113, 'gaypixpost.co.uk'),
(114, 'geomasti.com'),
(115, 'girltime.co.uk'),
(116, 'glassrope.com'),
(117, 'godjustblessyouall.com'),
(118, 'goldenageresort.com'),
(119, 'gonnabedaddies.com'),
(120, 'granadasexi.com'),
(121, 'guardingtheangels.com'),
(122, 'guyprofiles.co.uk'),
(123, 'happy1225.com'),
(124, 'happychappywacky.com'),
(125, 'health.org.ru'),
(126, 'hexplas.com'),
(127, 'highheelsmodels4fun.com'),
(128, 'hillsweb.com'),
(129, 'hiptuner.com'),
(130, 'historyintospace.com'),
(131, 'hoa-tuoi.com'),
(132, 'homebuyinginatlanta.com'),
(133, 'horizonultra.com'),
(134, 'horseminiature.net'),
(135, 'hotkiss.co.uk'),
(136, 'hotlivegirls.co.uk'),
(137, 'hotmatchup.co.uk'),
(138, 'husler.co.uk'),
(139, 'iaentertainment.com'),
(140, 'iamnotsomeone.com'),
(141, 'iconsofcorruption.com'),
(142, 'ihavenotrustinyou.com'),
(143, 'informat-systems.com'),
(144, 'interiorproshop.com'),
(145, 'intersoftnetworks.com'),
(146, 'inthecrib.com'),
(147, 'investment4cashiers.com'),
(148, 'iti-trailers.com'),
(149, 'jackpot-hacker.com'),
(150, 'jacks-world.com'),
(151, 'jamesthesailorbasher.com'),
(152, 'jesuislemonds.com'),
(153, 'justanotherdomainname.com'),
(154, 'kampelicka.com'),
(155, 'kanalrattenarsch.com'),
(156, 'katzasher.com'),
(157, 'kerosinjunkie.com'),
(158, 'killasvideo.com'),
(159, 'koenigspisser.com'),
(160, 'kontorpara.com'),
(161, 'l8t.com'),
(162, 'laestacion101.com'),
(163, 'lambuschlamppen.com'),
(164, 'lankasex.co.uk'),
(165, 'laser-creations.com'),
(166, 'le-tour-du-monde.com'),
(167, 'lecraft.com'),
(168, 'ledo-design.com'),
(169, 'leftregistration.com'),
(170, 'lekkikoomastas.com'),
(171, 'lepommeau.com'),
(172, 'libr-animal.com'),
(173, 'libraries.org.ru'),
(174, 'likewaterlikewind.com'),
(175, 'limbojumpers.com'),
(176, 'link.ru'),
(177, 'lockportlinks.com'),
(178, 'loiproject.com'),
(179, 'longtermalternatives.com'),
(180, 'lottoeco.com'),
(181, 'lucalozzi.com'),
(182, 'maki-e-pens.com'),
(183, 'malepayperview.co.uk'),
(184, 'mangaxoxo.com'),
(185, 'maps.org.ru'),
(186, 'marcofields.com'),
(187, 'masterofcheese.com'),
(188, 'masteroftheblasterhill.com'),
(189, 'mastheadwankers.com'),
(190, 'megafrontier.com'),
(191, 'meinschuppen.com'),
(192, 'mercurybar.com'),
(193, 'metapannas.com'),
(194, 'micelebre.com'),
(195, 'midnightlaundries.com'),
(196, 'mikeapartment.co.uk'),
(197, 'millenniumchorus.com'),
(198, 'mimundial2002.com'),
(199, 'miniaturegallerymm.com'),
(200, 'mixtaperadio.com'),
(201, 'mondialcoral.com'),
(202, 'monja-wakamatsu.com'),
(203, 'monstermonkey.net'),
(204, 'mouthfreshners.com'),
(205, 'mullensholiday.com'),
(206, 'musilo.com'),
(207, 'myhollowlog.com'),
(208, 'myhomephonenumber.com'),
(209, 'mykeyboardisbroken.com'),
(210, 'mysofia.net'),
(211, 'naked-cheaters.com'),
(212, 'naked-old-women.com'),
(213, 'nastygirls.co.uk'),
(214, 'nationclan.net'),
(215, 'natterratter.com'),
(216, 'naughtyadam.com'),
(217, 'nestbeschmutzer.com'),
(218, 'netwu.com'),
(219, 'newrealeaseonline.com'),
(220, 'newrealeasesonline.com'),
(221, 'nextfrontiersonline.com'),
(222, 'nikostaxi.com'),
(223, 'notorious7.com'),
(224, 'nrecruiter.com'),
(225, 'nursingdepot.com'),
(226, 'nustramosse.com'),
(227, 'nuturalhicks.com'),
(228, 'occaz-auto49.com'),
(229, 'ocean-db.net'),
(230, 'oilburnerservice.net'),
(231, 'omburo.com'),
(232, 'oneoz.com'),
(233, 'onepageahead.net'),
(234, 'onlinewithaline.com'),
(235, 'organizate.net'),
(236, 'ourownweddingsong.com'),
(237, 'owen-music.com'),
(238, 'p-partners.com'),
(239, 'paginadeautor.com'),
(240, 'pakistandutyfree.com'),
(241, 'pamanderson.co.uk'),
(242, 'parentsense.net'),
(243, 'particlewave.net'),
(244, 'pay-clic.com'),
(245, 'pay4link.net'),
(246, 'pcisp.com'),
(247, 'persist-pharma.com'),
(248, 'peteband.com'),
(249, 'petplusindia.com'),
(250, 'pickabbw.co.uk'),
(251, 'picture-oral-position-lesbian.com'),
(252, 'pl8again.com'),
(253, 'planeting.net'),
(254, 'popusky.com'),
(255, 'porn-expert.com'),
(256, 'promoblitza.com'),
(257, 'proproducts-usa.com'),
(258, 'ptcgzone.com'),
(259, 'ptporn.com'),
(260, 'publishmybong.com'),
(261, 'puttingtogether.com'),
(262, 'qualifiedcancelations.com'),
(263, 'rahost.com'),
(264, 'rainbow21.com'),
(265, 'rakkashakka.com'),
(266, 'randomfeeding.com'),
(267, 'rape-art.com'),
(268, 'rd-brains.com'),
(269, 'realestateonthehill.net'),
(270, 'rebuscadobot'),
(271, 'requested-stuff.com'),
(272, 'retrotrasher.com'),
(273, 'ricopositive.com'),
(274, 'risorseinrete.com'),
(275, 'rotatingcunts.com'),
(276, 'runawayclicks.com'),
(277, 'rutalibre.com'),
(278, 's-marche.com'),
(279, 'sabrosojazz.com'),
(280, 'samuraidojo.com'),
(281, 'sanaldarbe.com'),
(282, 'sasseminars.com'),
(283, 'schlampenbruzzler.com'),
(284, 'searchmybong.com'),
(285, 'seckur.com'),
(286, 'sex-asian-porn-interracial-photo.com'),
(287, 'sex-porn-fuck-hardcore-movie.com'),
(288, 'sexa3.net'),
(289, 'sexer.com'),
(290, 'sexintention.com'),
(291, 'sexnet24.tv'),
(292, 'sexomundo.com'),
(293, 'sharks.com.ru'),
(294, 'shells.com.ru'),
(295, 'shop-ecosafe.com'),
(296, 'shop-toon-hardcore-fuck-cum-pics.com'),
(297, 'silverfussions.com'),
(298, 'sin-city-sex.net'),
(299, 'sluisvan.com'),
(300, 'smutshots.com'),
(301, 'snagglersmaggler.com'),
(302, 'somethingtoforgetit.com'),
(303, 'sophiesplace.net'),
(304, 'soursushi.com'),
(305, 'southernxstables.com'),
(306, 'speed467.com'),
(307, 'speedpal4you.com'),
(308, 'sporty.org.ru'),
(309, 'stopdriving.net'),
(310, 'stw.org.ru'),
(311, 'sufficientlife.com'),
(312, 'sussexboats.net'),
(313, 'swinger-party-free-dating-porn-sluts.com'),
(314, 'sydneyhay.com'),
(315, 'szmjht.com'),
(316, 'teninchtrout.com'),
(317, 'thebalancedfruits.com'),
(318, 'theendofthesummit.com'),
(319, 'thiswillbeit.com'),
(320, 'thosethosethose.com'),
(321, 'ticyclesofindia.com'),
(322, 'tits-gay-fagot-black-tits-bigtits-amateur.com'),
(323, 'tonius.com'),
(324, 'toohsoft.com'),
(325, 'toolvalley.com'),
(326, 'tooporno.net'),
(327, 'toosexual.com'),
(328, 'torngat.com'),
(329, 'tour.org.ru'),
(330, 'towneluxury.com'),
(331, 'trafficmogger.com'),
(332, 'triacoach.net'),
(333, 'trottinbob.com'),
(334, 'tttframes.com'),
(335, 'tvjukebox.net'),
(336, 'undercvr.com'),
(337, 'unfinished-desires.com'),
(338, 'unicornonero.com'),
(339, 'unionvillefire.com'),
(340, 'upsandowns.com'),
(341, 'upthehillanddown.com'),
(342, 'vallartavideo.com'),
(343, 'vietnamdatingservices.com'),
(344, 'vinegarlemonshots.com'),
(345, 'vizy.net.ru'),
(346, 'vnladiesdatingservices.com'),
(347, 'vomitandbusted.com'),
(348, 'walkingthewalking.com'),
(349, 'well-I-am-the-type-of-boy.com'),
(350, 'whales.com.ru'),
(351, 'whincer.net'),
(352, 'whitpagesrippers.com'),
(353, 'whois.sc'),
(354, 'wipperrippers.com'),
(355, 'wordfilebooklets.com'),
(356, 'world-sexs.com'),
(357, 'xsay.com'),
(358, 'xxxchyangel.com'),
(359, 'xxxx:'),
(360, 'xxxzips.com'),
(361, 'youarelostintransit.com'),
(362, 'yuppieslovestocks.com'),
(363, 'yuzhouhuagong.com'),
(364, 'zhaori-food.com'),
(365, 'zwiebelbacke.com');

CREATE TABLE IF NOT EXISTS `nuke_nsnst_strings` (
  `sid` int(2) NOT NULL AUTO_INCREMENT,
  `string` varchar(255) COLLATE utf8_persian_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`string`),
  KEY `sid` (`sid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_nsnst_tracked_ips` (
  `tid` int(10) NOT NULL AUTO_INCREMENT,
  `ip_addr` varchar(15) COLLATE utf8_bin NOT NULL,
  `ip_long` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '1',
  `username` varchar(60) COLLATE utf8_bin NOT NULL,
  `user_agent` text COLLATE utf8_bin NOT NULL,
  `refered_from` text COLLATE utf8_bin NOT NULL,
  `date` int(20) NOT NULL DEFAULT '0',
  `page` text COLLATE utf8_bin NOT NULL,
  `x_forward_for` varchar(32) COLLATE utf8_bin NOT NULL,
  `client_ip` varchar(32) COLLATE utf8_bin NOT NULL,
  `remote_addr` varchar(32) COLLATE utf8_bin NOT NULL,
  `remote_port` varchar(11) COLLATE utf8_bin NOT NULL,
  `request_method` varchar(10) COLLATE utf8_bin NOT NULL,
  `c2c` char(2) COLLATE utf8_bin NOT NULL DEFAULT '00',
  PRIMARY KEY (`tid`),
  KEY `ip_addr` (`ip_addr`),
  KEY `ip_long` (`ip_long`),
  KEY `user_id` (`user_id`),
  KEY `username` (`username`),
  KEY `date` (`date`),
  KEY `c2c` (`c2c`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_extpages` (
  `pid` int(10) NOT NULL auto_increment,
  `title` varchar(255) collate utf8_bin NOT NULL,
  `slug` text collate utf8_bin NOT NULL,
  `text` text collate utf8_bin NOT NULL,
  `counter` int(10) NOT NULL default '0',
  `perm` int(1) NOT NULL default '0',
  `nav` int(1) NOT NULL default '0',
  `post_time` datetime NOT NULL,
  `active` int(1) NOT NULL default '0',
  PRIMARY KEY  (`pid`),
  KEY `pid` (`pid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin ;


CREATE TABLE IF NOT EXISTS `nuke_pollcomments` (
  `tid` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL DEFAULT '0',
  `pollID` int(11) NOT NULL DEFAULT '0',
  `date` datetime DEFAULT NULL,
  `name` varchar(60) COLLATE utf8_bin NOT NULL,
  `email` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `url` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `host_name` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `subject` varchar(60) COLLATE utf8_bin NOT NULL,
  `comment` text COLLATE utf8_bin NOT NULL,
  `score` tinyint(4) NOT NULL DEFAULT '0',
  `reason` tinyint(4) NOT NULL DEFAULT '0',
  `last_moderation_ip` varchar(15) COLLATE utf8_bin DEFAULT '0',
  PRIMARY KEY (`tid`),
  KEY `tid` (`tid`),
  KEY `pid` (`pid`),
  KEY `pollID` (`pollID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_pollcomments_moderated` (
  `tid` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL DEFAULT '0',
  `pollID` int(11) NOT NULL DEFAULT '0',
  `date` datetime DEFAULT NULL,
  `name` varchar(60) COLLATE utf8_bin NOT NULL,
  `email` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `url` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `host_name` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `subject` varchar(60) COLLATE utf8_bin NOT NULL,
  `comment` text COLLATE utf8_bin NOT NULL,
  `score` tinyint(4) NOT NULL DEFAULT '0',
  `reason` tinyint(4) NOT NULL DEFAULT '0',
  `last_moderation_ip` varchar(15) COLLATE utf8_bin DEFAULT '0',
  PRIMARY KEY (`tid`),
  KEY `tid` (`tid`),
  KEY `pid` (`pid`),
  KEY `pollID` (`pollID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_poll_check` (
  `ip` varchar(20) COLLATE utf8_bin NOT NULL,
  `time` varchar(14) COLLATE utf8_bin NOT NULL,
  `pollID` int(10) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_poll_data` (
  `pollID` int(11) NOT NULL DEFAULT '0',
  `optionText` char(50) COLLATE utf8_bin NOT NULL,
  `optionCount` int(11) NOT NULL DEFAULT '0',
  `voteID` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `nuke_poll_data` (`pollID`, `optionText`, `optionCount`, `voteID`) VALUES
(1, 'معمولی', 0, 1),
(1, 'متوسط', 0, 2),
(1, 'خوب', 0, 3),
(1, 'عالی', 0, 4),
(1, '', 0, 5),
(1, '', 0, 6),
(1, '', 0, 7),
(1, '', 0, 8),
(1, '', 0, 9),
(1, '', 0, 10),
(1, '', 0, 11),
(1, '', 0, 12),
(2, 'Bad', 0, 1),
(2, 'Not bad', 0, 2),
(2, 'Good', 0, 3),
(2, 'Excellent', 0, 4),
(2, '', 0, 5),
(2, '', 0, 6),
(2, '', 0, 7),
(2, '', 0, 8),
(2, '', 0, 9),
(2, '', 0, 10),
(2, '', 0, 11),
(2, '', 0, 12);

CREATE TABLE IF NOT EXISTS `nuke_poll_desc` (
  `pollID` int(11) NOT NULL AUTO_INCREMENT,
  `pollTitle` varchar(100) COLLATE utf8_bin NOT NULL,
  `timeStamp` int(11) NOT NULL DEFAULT '0',
  `voters` mediumint(9) NOT NULL DEFAULT '0',
  `planguage` varchar(30) COLLATE utf8_bin NOT NULL,
  `artid` int(10) NOT NULL DEFAULT '0',
  `comments` int(11) DEFAULT '0',
  `active` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`pollID`),
  KEY `pollID` (`pollID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=3 ;

INSERT INTO `nuke_poll_desc` (`pollID`, `pollTitle`, `timeStamp`, `voters`, `planguage`, `artid`, `comments`, `active`) VALUES
(1, 'پرتال نیوک لرن را چگونه ارزیابی می کنید ؟', 1310192663, 0, 'persian', 0, 0, 1),
(2, 'How do u evaluate Nukelearn CMS ?', 1310192663, 0, 'english', 0, 0, 1);

CREATE TABLE IF NOT EXISTS `nuke_public_messages` (
  `mid` int(10) NOT NULL AUTO_INCREMENT,
  `content` varchar(255) COLLATE utf8_bin NOT NULL,
  `date` datetime DEFAULT NULL,
  `who` varchar(25) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`mid`),
  KEY `mid` (`mid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_quotes` (
  `qid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `quote` text COLLATE utf8_bin,
  PRIMARY KEY (`qid`),
  KEY `qid` (`qid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_ratings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rating_id` int(11) NOT NULL DEFAULT '0',
  `rating_num` int(11) NOT NULL DEFAULT '0',
  `section` int(1) NOT NULL DEFAULT '0',
  `ip` varchar(25) COLLATE utf8_bin NOT NULL,
  `voter` varchar(256) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `nuke_related` (
  `rid` int(11) NOT NULL AUTO_INCREMENT,
  `tid` int(11) NOT NULL DEFAULT '0',
  `name` varchar(30) COLLATE utf8_bin NOT NULL,
  `url` varchar(200) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`rid`),
  KEY `rid` (`rid`),
  KEY `tid` (`tid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `nuke_session`;
CREATE TABLE IF NOT EXISTS `nuke_session` (
  `session_id` varchar(255) character set utf8 collate utf8_bin NOT NULL,
  `session_user_id` mediumint(8) unsigned NOT NULL default '0',
  `session_last_visit` int(11) unsigned NOT NULL default '0',
  `session_start` int(11) unsigned NOT NULL default '0',
  `session_time` int(11) unsigned NOT NULL default '0',
  `session_ip` varchar(40) character set utf8 collate utf8_bin NOT NULL default '',
  `session_browser` varchar(150) character set utf8 collate utf8_bin NOT NULL default '',
  `session_page` varchar(255) character set utf8 collate utf8_bin NOT NULL default '',
  `session_admin` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`session_id`),
  UNIQUE KEY `session_ip_2` (`session_ip`),
  KEY `session_time` (`session_time`),
  KEY `session_user_id` (`session_user_id`),
  KEY `session_ip` (`session_ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `nuke_sitemap_config` (
  `config_name` varchar(255) COLLATE utf8_bin NOT NULL,
  `config_value` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`config_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `nuke_sitemap_config` (
  `config_name` varchar(255) COLLATE utf8_bin NOT NULL,
  `config_value` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`config_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


INSERT INTO `nuke_sitemap_config` (`config_name`, `config_value`) VALUES
('match_theme', '1'),
('use_sommaire', '0'),
('use_gt', '1'),
('show_google_block', '1'),
('show_gentime', '1'),
('show_news', '1'),
('show_fna', '0'),
('show_forum_cat', '1'),
('show_forums', '1'),
('show_forum_topics', '1'),
('show_kb', '0'),
('show_downloads', '1'),
('show_weblinks', '1'),
('show_faq', '1'),
('show_content', '0'),
('show_reviews', '0'),
('show_tutorials', '0'),
('show_projects', '0'),
('show_supporters', '0'),
('show_shouts', '0'),
('show_coppermine', '0'),
('show_spchat', '0'),
('show_arcade', '0'),
('show_rss', '1'),
('limit_news', '50'),
('limit_fna', '50'),
('limit_forum_topics', '100'),
('limit_kb', '100'),
('limit_downloads', '100'),
('limit_weblinks', '50'),
('limit_content', '20'),
('limit_reviews', '20'),
('limit_tutorials', '20'),
('limit_projects', '20'),
('limit_supporters', '20'),
('limit_shouts', '50'),
('limit_coppermine_pics', '50'),
('limit_arcade', '100'),
('site_logo', 'logo.gif'),
('site_logo_path', 'images/'),
('site_google_logo_height', '50'),
('site_google_logo_width', '425'),
('site_google_header', '#ffffff'),
('site_google_bg', '#ffffff'),
('google_logo', 'google.gif'),
('google_logo_path', 'images/powered/'),
('sitemap_version', '2.0.0');

DROP TABLE IF EXISTS `nuke_shoutbox`;
CREATE TABLE IF NOT EXISTS `nuke_shoutbox` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `user` varchar(25) COLLATE utf8_bin NOT NULL DEFAULT 'anonimous',
  `message` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin ;

INSERT INTO `nuke_shoutbox` (`id`, `date`, `user`, `message`) VALUES
(1, '2011-03-31 20:03:07', 'admin', 'گروه نیوک لرن افتتاح سایت شما را تبریک می گوید :arrow: ');

CREATE TABLE IF NOT EXISTS `nuke_squestions` (
  `qid` int(2) NOT NULL AUTO_INCREMENT,
  `question` varchar(256) COLLATE utf8_bin NOT NULL,
  `answer` varchar(256) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`qid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin ;

INSERT INTO `nuke_squestions` (`qid`, `question`, `answer`) VALUES
(1, '2+2 = ', '4');

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

CREATE TABLE IF NOT EXISTS `nuke_stories` (
  `sid` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `aid` varchar(30) COLLATE utf8_bin NOT NULL,
  `title` varchar(80) COLLATE utf8_bin DEFAULT NULL,
  `time` datetime DEFAULT NULL,
  `hometext` text COLLATE utf8_bin,
  `bodytext` text COLLATE utf8_bin NOT NULL,
  `newsref` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `newsreflink` varchar(200) COLLATE utf8_bin DEFAULT NULL,
  `comments` int(11) NOT NULL DEFAULT '0',
  `counter` mediumint(8) NOT NULL DEFAULT '0',
  `topic` int(3) NOT NULL DEFAULT '1',
  `informant` varchar(25) COLLATE utf8_bin NOT NULL,
  `notes` text COLLATE utf8_bin NOT NULL,
  `ihome` int(1) NOT NULL DEFAULT '0',
  `alanguage` varchar(30) COLLATE utf8_bin NOT NULL,
  `acomm` int(1) NOT NULL DEFAULT '0',
  `hotnews` int(1) NOT NULL DEFAULT '0',
  `haspoll` int(1) NOT NULL DEFAULT '0',
  `pollID` int(10) NOT NULL DEFAULT '0',
  `associated` text COLLATE utf8_bin NOT NULL,
  `tags` varchar(255) COLLATE utf8_bin NOT NULL,
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `section` varchar(15) COLLATE utf8_bin NOT NULL DEFAULT 'news',
  `rate` int(8) NOT NULL DEFAULT '0',
  `rates_count` int(8) NOT NULL DEFAULT '0',
  PRIMARY KEY (`sid`),
  KEY `sid` (`sid`),
  KEY `catid` (`catid`),
  KEY `topic` (`topic`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=4 ;

INSERT INTO `nuke_stories` (`sid`, `catid`, `aid`, `title`, `time`, `hometext`, `bodytext`, `newsref`, `newsreflink`, `comments`, `counter`, `topic`, `informant`, `notes`, `ihome`, `alanguage`, `acomm`, `hotnews`, `haspoll`, `pollID`, `associated`, `tags`, `approved`, `section`, `rate`, `rates_count`) VALUES
(1, 0, 'admin', 'پرتال نیوک لرن نسخه 1.1.4 با موفقیت نصب شد .', '2010-07-19 10:51:37', '<p>\r\n	خوشنودیم که شما از نرم افزار سایت ساز نیوک لرن استفاده می کنید . این نرم افزار در نسخه 1.1.4 امکانات فراوانی را جای داده است .</p>\r\n<p style="text-align: center;">\r\n	<img src="includes/elfinder/../upload/Nukelearn/NukelearnUSV.png" style="337px; height: 323px;" /></p>\r\n<p>\r\n	در نسخه 1.1.4 پرتال نیوک لرن امکاناتی نظیر :</p>\r\n<p>\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- نسخه جدید مدیریت منوی اصلی ( امکان اختصاص دادن زبان - آیکن به هر آیتم )<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	یک سوپر کلاس برای ساختار درختی منوها و موضوعات که با قدرت شی گرایی فقط 1 کوئری مصرف دارد و به صورت کلاس است<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	و هرکجا قابل استفاده خواهد بود که می توانید بیش از 1000 آیتم تو در تو بسازید<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	-سیستم آمار ( کلاس ویژه اطلاعات آماری - بخش مدیریتی به صورت نمودارها و بلوک آمار تفصیلی )<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- جداسازی کامل انجمن از نسخه اصلی و امکان نصب انجمن های حرفه ای به صورت جداگانه ( mybb- bbpress- phpbb )<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	هماهنگ سازي پل انجمن mybb با مديريت و کاربران نرم افزار نيوک لرن<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	اضافه شدن بلوک حرفه ای آخرین ارسال های انجمن های mybb<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	-افزوده شدن سیستم یکپارچه سازی پیوندهای صفحه ( با روشن شدن سیستم گوگل تپ تمامی لینک های صفحات به صورت یکپارچه تبدیل خواهند شد )<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- امکان بستن سایت ( تنظیمات ویژه امکان ویرایش صفحه بستن سایت در ویرایشگر - انتخاب بازه زمانی )<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- بازنویسی متغیرها و ثابت های مدیریتی سایت و فراهم آمدن امکان تغییر بخش مدیریت سایت به اسم دلخواه<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکان تغيير نام بخش مديريت پرتال به نام دلخواه براي بالا رفتن امنيت<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- اعمال و اصلاح سیستم امتیازدهی و تشکیل گروه های مختلف<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- افزوده شدن بخش رسانه ها به صورت جداگانه و افزودن امکان مدیریت فایل ها به ویرایشگر<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	تغيير ساختار فايل منيجر از حالت رشته اي به JSON براي امنيت بيشتر<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- افزوده شدن نسخه جدید سیستم ماژولی صفحات اضافه<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- افزودن شدن پلاگین پیام کوتاه حرفه ای<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- تغییر در سیستم امتیازات اخبار -دریافت فایل - کاربران<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- افزودن شدن به روز رسان XML سایت و هماهنگی با ماژول نقشه سایت<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- استاندارد سازی خوراک های سایت در دو ساختار ATOM و RSS 2<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- امکان بازشماری کلید واژه ها - موضوعات در مدیریت سایت</p>\r\n<p>\r\n	-امکان نمايش کليدواژه در سر تير صفحات پلاگين ها<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- کاهش تعداد ارتباط هسته نرم افزار با بانک اطلاعاتی به 19 ارتباط در هر صفحه<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- افزوده شدن سیستم آزمون سیستم Benchmark<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	توسط این سیستم مدیر می تواند تقاط آسیب رسان و زمان اجرای هر بخش را مشاهده کند و لیستی از ارتباط های در حال اجرا ببیند&nbsp;<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکانات جدید وبلاگ کاربران :<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکان تشخيص خودکار لينک و عکس در وبلاگ کاربران<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	اضافه شدن سيستم امتيازات به سيستم وبلاگ نويسي پرتال<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکان افزودن شکلک ها در وبلاگ کاربران<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	افزودن شدن آخرين پست هاي وبلاگ به نقشه سايت<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکان تغيير در بخش مديريت نقشه سايت براي کاربران و پست هاي وبلاگ<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	تغییر هوشمند رنگ متن وبلاگ با توجه به تیرگی یا روشنی پس زمینه<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	ایندکس شدن وبلاگ کاربران در گوگل&nbsp;<br />\r\n	پیوند دائم به یک ارسال در وبلاگ<br />\r\n	امکان اشتراک یک پست در وبلاگ با سرویس های اجتماعی</p>\r\n<p>\r\n	امکانات جديد تقويم سايت :<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- تعويض افکت tooltip&nbsp;<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- امکان افزودن لينک توضيحات براي رويداد<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- امکان مشخص کردن نوع تکرار رويداد<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- امکان پيشنهاد رويداد از سوي کاربران<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- نمايش ليست رويدادهاي هر ماه در صفحه تقويم همان ماه<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	سیستم قالب :</p>\r\n<p>\r\n	- آخرین نسخه موتور قالب<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکان کنترل کامل بر چینش عناصر صفحه - قدرت شخصی سازی هر عنصر که در سیستم جدید شما تعیین می کنید&nbsp;<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	پرتال چه ظاهری داشته , کاملا ساده و یا کاملا حرفه ای<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	اختصاصي کردن بلوک هاي وسط با قرار دادن فايل center-blocks.html<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- اختصاصي کردن بلوک ها با قرار دادن فايل html با نام بلوک و بدون block_ اولي<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- امکان اختصاصي کردن کل بلوک هاي سمت راست با قرار دادن right-blocks.html<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	- امکان اختصاصي کردن کل بلوک هاي سمت چپ با قرار دادن left-blocks.html<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	طراحي قالب احتصاصی نسخه کاری از &nbsp;Nukelearn-a2d3d<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	نمایش امتیازات به صورت ستاره ای و عددی&nbsp;<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکان تعریف رنگ گروه های کاربری - حداقل ، حداکثر امتیازات<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	تعیین رنگ کاربر و گروه کاربری در بلوک آمار - صفحه شخصی- وبلاگ - لیست کاربران<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	نمایش لیست کل کاربران با امکان مشاهده گروه کاربری و رنگ گروه و امتیازات&nbsp;<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	افزوده شدن ليست آخرين کاربران و صفحه شخصي آنها به نقشه سايت<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	اصلاح کلي ماژول جستجو : رفع اشکالات امنيتي - بهينه سازي ارتباط هاي ديتابيس - اصلاح نمايش اطلاعات<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	افزودن ، ويرايش و حذف آواتار ( نمايه ) کاربري (افزودن ، ویرایش زنده آواتار - انتخاب تصویر کوچک)<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	افزودن بلوک &quot;کارهای مانده&quot; جهت یادآوری تکمیل اطلاعات شخصی کاربر</p>\r\n<p>\r\n	افزوده شدن بلوک آخرین ارسال های انجمن mybb به صورت زنده ( آجاکسی )&nbsp;<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	افزودن بلوک نظر سنجی آجاکسی<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکان مدیریت مسدودسازی آیپی ها<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکان نصب دیواره آتش بر روی سایت<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	<br style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; " />\r\n	امکان مانیتورینگ نفود پرتال در جستجوگرها</p>\r\n<p>\r\n	و امکانات بسیار زیاد دیگر که شما در کار با نسخه جدید به آن پی خواهید برد .و می توانید به صورت کاملا جزئی در<a href="http://www.nukelearn.com/nightly"><strong> این مسیر </strong></a>پی گیری کنید .</p>\r\n<p>\r\n	این نسخه ملقب به ببر مازندرانی و به صورت مختصر ملقب به Tigris است و&nbsp; انتظار داریم افزایش سرعت و احیای مجدد نرم افزار را&nbsp; در این نسخه تجربه کنید .</p>\r\n<p>\r\n	<a href="http://area51.nukelearn.com/">شما نیز می توانید امکانات مورد نظر خود را پیشنهاد دهید</a></p>\r\n<p>\r\n	در <a href="http://bugs.nukelearn.com/"><strong>این لیست</strong></a> سعی شده است بیشتر اشکالات گزارش شده برطرف شود .</p>\r\n<p>\r\n	با امید به افتخار آفرینی برای ایرانی ها</p>\r\n<p>\r\n	گروه نیوک لرن</p>\r\n<p>\r\n	فرشاد غضنفری</p>\r\n', '', '', '', 0, 4, 0, '', '', 0, 'persian', 0, 1, 0, 0, '1-2-', ' 1 ', 1, 'news', 0, 0),
(2, 0, 'admin', 'Nukelearn CMS version Tigris 1.1.4 BETA  is installed succefuly', '2011-01-26 13:18:01', '<p>\r\n	&nbsp;</p>\r\n<div style="text-align: left; ">\r\n	Congratulations! You have installed Nukelearn CMS Version 1.1.4 . Nukelearn&trade; comes with the most up to date features available for having a comprehensive website , including drag &amp; drop blocks , new template engine to smooth designing habits and lots of professional features all for free .</div>\r\n<div style="text-align: left; ">\r\n	&nbsp;</div>\r\n<div style="text-align: center; ">\r\n	<img alt="" src="includes/elfinder/../upload/Nukelearn/NukelearnUSV.png" style="337px; height: 323px; " /></div>\r\n<div style="text-align: left; ">\r\n	&nbsp;</div>\r\n<div style="text-align: left; ">\r\n	check out our website and keep eye on the latest news for Nukelearn CMS</div>\r\n', '', '', '', 0, 1, 0, 'admin', '', 0, 'english', 0, 0, 0, 0, '2-', ' 2 ', 1, 'news', 0, 0);



DROP TABLE IF EXISTS `nuke_shoutbox`;
CREATE TABLE IF NOT EXISTS `nuke_shoutbox` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `user` varchar(25) COLLATE utf8_bin NOT NULL DEFAULT 'anonimous',
  `message` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin ;


INSERT INTO `nuke_shoutbox` (`id`, `date`, `user`, `message`) VALUES
(1, '2011-04-05 18:37:41', 'admin', 'گروه نیوک لرن افتتاح سایت شما را تبریک می گوید ');

CREATE TABLE IF NOT EXISTS `nuke_tags` (
  `tid` int(5) NOT NULL AUTO_INCREMENT,
  `tag` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `slug` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `count` int(6) NOT NULL,
  PRIMARY KEY (`tid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


INSERT INTO `nuke_tags` (`tid`, `tag`, `slug`, `count`) VALUES
(1, 'نیوک لرن', 'nukelearn', 1);



CREATE TABLE IF NOT EXISTS `nuke_topics` (
  `topicid` int(3) NOT NULL AUTO_INCREMENT,
  `topicname` varchar(70) CHARACTER SET utf8 COLLATE utf8_persian_ci DEFAULT NULL,
  `slug` text CHARACTER SET utf8 COLLATE utf8_persian_ci NOT NULL,
  `topicimage` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `topictext` varchar(40) COLLATE utf8_bin DEFAULT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `counter` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`topicid`),
  KEY `topicid` (`topicid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=4 ;

INSERT INTO `nuke_topics` (`topicid`, `topicname`, `slug`, `topicimage`, `topictext`, `parent`, `counter`) VALUES
(1, 'نیوک لرن', 'nukelearn', 'Groups.png', 'نیوک لرن نرم افزار ایرانی', 0, 0),
(2, 'اخبار', 'news', 'Groups.png', 'اخبار مرتبط با سایت ', 1, 0),
(3, 'متفرقه', 'others', 'Groups.png', 'موضوعات متفرقه', 0, 0);



CREATE TABLE IF NOT EXISTS `nuke_tree_elements` (
  `Id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `lang` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `position` int(10) unsigned NOT NULL DEFAULT '0',
  `ownerEl` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'parent',
  `slave` binary(1) NOT NULL DEFAULT '0',
  `link` text NOT NULL,
  `module` varchar(255) NOT NULL,
  `icon` varchar(512) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'Icon URI',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

INSERT INTO `nuke_tree_elements` (`Id`, `name`, `lang`, `position`, `ownerEl`, `slave`, `link`, `module`, `icon`) VALUES
(1, '  اخبار سایت', '', 0, 0, '0', '|_self', 'News', 'archive.png'),
(3, ' کاربران سایت', '', 1, 0, '0', '|_self', 'Your_Account', 'users.png'),
(4, 'متفرقه', '', 2, 0, '0', '|_self', '', 'item.png'),
(5, '  ارسال خبر', '', 0, 1, '1', '|_self', 'Submit_News', ''),
(6, '       آرشیو اخبار', '', 1, 1, '1', '|_self', 'Stories_Archive', ''),
(7, '    آرشیو چاپی اخبار', '', 2, 1, '1', '|_self', 'AvantGo', ''),
(8, ' جستجو در اخبار', '', 3, 1, '1', '|_self', 'Search', ''),
(9, ' صفحه شخصی کاربر', '', 2, 3, '1', '|_self', 'Your_Account', ''),
(10, ' وبلاگ شما ', '', 0, 3, '1', '|_self', 'Your_Account', ''),
(12, ' تقویم سایت', '', 0, 4, '1', '|_self', 'jCalendar', ''),
(13, ' نقشه سایت', '', 1, 4, '1', '|_self', 'Site_Map', ''),
(17, '     ویرایش مشخصات', '', 1, 3, '1', 'modules.php?name=Your_Account&op=edituser|_self', '', ''),
(18, '   ارتباط با ما', '', 8, 4, '1', '|_self', 'Contact_Plus', ''),
(19, ' معرفی ما', '', 2, 4, '1', '|_self', 'Recommend_Us', ''),
(20, ' تبلیغات', '', 4, 4, '1', '|_self', 'Advertising', ''),
(21, ' لینک به ما', '', 5, 4, '1', '|_self', 'Link_To_Us', ''),
(22, ' برترین ها', '', 6, 4, '1', '|_self', 'Top', ''),
(23, '  موضوعات', '', 4, 1, '1', '|_self', 'Topics', ''),
(24, ' فهرست کاربران', '', 3, 3, '1', 'modules.php?name=Your_Account&amp;op=memberlist|_self', '', ''),
(25, ' پیوندها', '', 7, 4, '1', '|_self', 'Web_Links', '');


CREATE TABLE IF NOT EXISTS `nuke_users` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8_bin DEFAULT NULL,
  `username` varchar(25) COLLATE utf8_bin DEFAULT NULL,
  `user_email` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `femail` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `user_website` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `user_avatar` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `user_regdate` varchar(20) COLLATE utf8_bin DEFAULT NULL,
  `user_icq` varchar(15) COLLATE utf8_bin DEFAULT NULL,
  `user_occ` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `user_from` varchar(100) COLLATE utf8_bin DEFAULT NULL,
  `user_from_flag` varchar(25) COLLATE utf8_bin DEFAULT NULL,
  `user_interests` varchar(150) COLLATE utf8_bin DEFAULT NULL,
  `user_sig` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `user_viewemail` tinyint(2) DEFAULT NULL,
  `user_theme` int(3) DEFAULT NULL,
  `user_aim` varchar(18) COLLATE utf8_bin DEFAULT NULL,
  `user_yim` varchar(25) COLLATE utf8_bin DEFAULT NULL,
  `user_msnm` varchar(25) COLLATE utf8_bin DEFAULT NULL,
  `user_password` varchar(40) COLLATE utf8_bin DEFAULT NULL,
  `storynum` tinyint(4) NOT NULL DEFAULT '10',
  `umode` varchar(10) COLLATE utf8_bin DEFAULT NULL,
  `uorder` tinyint(1) NOT NULL DEFAULT '0',
  `thold` tinyint(1) NOT NULL DEFAULT '0',
  `noscore` tinyint(1) NOT NULL DEFAULT '0',
  `bio` tinytext COLLATE utf8_bin,
  `ublockon` tinyint(1) NOT NULL DEFAULT '0',
  `ublock` tinytext COLLATE utf8_bin,
  `theme` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `commentmax` int(11) NOT NULL DEFAULT '4096',
  `counter` int(11) NOT NULL DEFAULT '0',
  `newsletter` int(1) NOT NULL DEFAULT '0',
  `user_posts` int(10) NOT NULL DEFAULT '0',
  `user_attachsig` int(2) NOT NULL DEFAULT '0',
  `user_rank` int(10) NOT NULL DEFAULT '0',
  `user_level` int(10) NOT NULL DEFAULT '1',
  `broadcast` tinyint(1) NOT NULL DEFAULT '1',
  `popmeson` tinyint(1) NOT NULL DEFAULT '0',
  `user_active` tinyint(1) DEFAULT '1',
  `user_session_time` int(11) NOT NULL DEFAULT '0',
  `user_session_page` smallint(5) NOT NULL DEFAULT '0',
  `user_lastvisit` int(11) NOT NULL DEFAULT '0',
  `user_timezone` tinyint(4) NOT NULL DEFAULT '10',
  `user_style` tinyint(4) DEFAULT NULL,
  `user_lang` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT 'persian',
  `user_dateformat` varchar(14) COLLATE utf8_bin NOT NULL DEFAULT 'D M d, Y g:i a',
  `user_new_privmsg` smallint(5) unsigned NOT NULL DEFAULT '0',
  `user_unread_privmsg` smallint(5) unsigned NOT NULL DEFAULT '0',
  `user_last_privmsg` int(11) NOT NULL DEFAULT '0',
  `user_emailtime` int(11) DEFAULT NULL,
  `user_allowhtml` tinyint(1) DEFAULT '1',
  `user_allowbbcode` tinyint(1) DEFAULT '1',
  `user_allowsmile` tinyint(1) DEFAULT '1',
  `user_allowavatar` tinyint(1) NOT NULL DEFAULT '1',
  `user_allow_pm` tinyint(1) NOT NULL DEFAULT '1',
  `user_allow_viewonline` tinyint(1) NOT NULL DEFAULT '1',
  `user_notify` tinyint(1) NOT NULL DEFAULT '0',
  `user_notify_pm` tinyint(1) NOT NULL DEFAULT '0',
  `user_popup_pm` tinyint(1) NOT NULL DEFAULT '0',
  `user_avatar_type` tinyint(4) NOT NULL DEFAULT '3',
  `user_sig_bbcode_uid` varchar(10) COLLATE utf8_bin DEFAULT NULL,
  `user_actkey` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `user_newpasswd` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `points` int(10) DEFAULT '0',
  `last_ip` varchar(15) COLLATE utf8_bin NOT NULL DEFAULT '0',
  `agreedtos` tinyint(1) NOT NULL DEFAULT '0',
  `user_group_cp` int(11) NOT NULL DEFAULT '1',
  `user_group_list_cp` varchar(100) COLLATE utf8_bin NOT NULL DEFAULT '2',
  `user_active_cp` enum('YES','NO') COLLATE utf8_bin NOT NULL DEFAULT 'YES',
  `admin_allow_points` tinyint(1) NOT NULL DEFAULT '1',
  `karma` tinyint(1) DEFAULT '0',
  `user_level2` smallint(6) NOT NULL DEFAULT '2',
  `user_allowemails` tinyint(1) NOT NULL DEFAULT '1',
  `user_invisible` tinyint(1) NOT NULL DEFAULT '0',
  `user_lastaction` int(11) NOT NULL DEFAULT '0',
  `user_location` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `user_comments` smallint(6) unsigned NOT NULL DEFAULT '0',
  `user_blog_colors` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '#F9F1A9#EEE4C6#EDFAC8',
  `user_blog_password` varchar(255) COLLATE utf8_bin NOT NULL,
  `rate` int(8) NOT NULL DEFAULT '0',
  `rates_count` int(8) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `username` (`username`),
  KEY `uid` (`user_id`),
  KEY `uname` (`username`),
  KEY `user_session_time` (`user_session_time`),
  KEY `karma` (`karma`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


INSERT INTO `nuke_users` (`user_id`, `name`, `username`, `user_email`, `femail`, `user_website`, `user_avatar`, `user_regdate`, `user_icq`, `user_occ`, `user_from`, `user_from_flag`, `user_interests`, `user_sig`, `user_viewemail`, `user_theme`, `user_aim`, `user_yim`, `user_msnm`, `user_password`, `storynum`, `umode`, `uorder`, `thold`, `noscore`, `bio`, `ublockon`, `ublock`, `theme`, `commentmax`, `counter`, `newsletter`, `user_posts`, `user_attachsig`, `user_rank`, `user_level`, `broadcast`, `popmeson`, `user_active`, `user_session_time`, `user_session_page`, `user_lastvisit`, `user_timezone`, `user_style`, `user_lang`, `user_dateformat`, `user_new_privmsg`, `user_unread_privmsg`, `user_last_privmsg`, `user_emailtime`, `user_allowhtml`, `user_allowbbcode`, `user_allowsmile`, `user_allowavatar`, `user_allow_pm`, `user_allow_viewonline`, `user_notify`, `user_notify_pm`, `user_popup_pm`, `user_avatar_type`, `user_sig_bbcode_uid`, `user_actkey`, `user_newpasswd`, `points`, `last_ip`, `agreedtos`, `user_group_cp`, `user_group_list_cp`, `user_active_cp`, `admin_allow_points`, `karma`, `user_level2`, `user_allowemails`, `user_invisible`, `user_lastaction`, `user_location`, `user_comments`, `user_blog_colors`, `user_blog_password`, `rate`, `rates_count`) VALUES
(1, '', 'Anonymous', '', '', '', 'blank.gif', 'Nov 10, 2000', '', '', '', NULL, '', '', 0, 0, '', '', '', '2a2e0edbc27feb9a93c00956949630df', 10, '', 0, 0, 0, '', 0, '', '', 4096, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 10, NULL, 'persian', 'D M d, Y g:i a', 0, 0, 0, NULL, 1, 1, 1, 1, 1, 1, 1, 1, 0, 3, NULL, NULL, NULL, 1, '0', 0, 3, '3', 'YES', 1, 0, 2, 1, 0, 0, '0', 0, '#F9F1A9#EEE4C6#EDFAC8', '', 0, 0);

CREATE TABLE IF NOT EXISTS `nuke_users_temp` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT,
  `username` varchar(25) COLLATE utf8_bin NOT NULL,
  `realname` varchar(255) COLLATE utf8_bin NOT NULL,
  `user_email` varchar(255) COLLATE utf8_bin NOT NULL,
  `user_password` varchar(40) COLLATE utf8_bin NOT NULL,
  `user_regdate` varchar(20) COLLATE utf8_bin NOT NULL,
  `check_num` varchar(50) COLLATE utf8_bin NOT NULL,
  `time` varchar(14) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `nuke_users_temp` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT,
  `username` varchar(25) COLLATE utf8_bin NOT NULL,
  `realname` varchar(255) COLLATE utf8_bin NOT NULL,
  `user_email` varchar(255) COLLATE utf8_bin NOT NULL,
  `user_password` varchar(40) COLLATE utf8_bin NOT NULL,
  `user_regdate` varchar(20) COLLATE utf8_bin NOT NULL,
  `check_num` varchar(50) COLLATE utf8_bin NOT NULL,
  `time` varchar(14) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

SET FOREIGN_KEY_CHECKS=1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
