<?php

/*
	Guest Registration Notification
	by: Project Evolution
	Copyright 2011 - Project Evolution

	############################################
	License Information:

	Keep this comment unmodified.
	#############################################
*/

if (!defined('IN_MYBB')) {
	die('This file cannot be accessed directly.');
}

$plugins->add_hook("pre_output_page", "guestregistrationnotification_show");

function guestregistrationnotification_info() {
	return array (
		"name"		=> "Guest Registration Notification",
		"description"		=> "Adds a notification to guests viewing the page.",
		"website"		=> "",
		"author"		=> "Project Evolution",
		"authorsite"		=> "http://www.projectevolution.net76.net",
		"version"		=> "1.0",
		"guid" 			=> "",
		"compatibility"	=> "16*"
	);
}


function guestregistrationnotification_install() {

	global $mybb, $db;

	$db->query("INSERT INTO " . TABLE_PREFIX . "settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'guestregistrationnotification_content', 'Guest Registration Notification Content', 'Content to be displayed in the notification box', 'text', '', 0, 6);");
	
	$db->query("INSERT INTO " . TABLE_PREFIX . "settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'guestregistrationnotification_title', 'Guest Registration Notification Title', 'The title of the box', 'text', '', 0, 6);");
	
	$db->query("INSERT INTO " . TABLE_PREFIX . "settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'guestregistrationnotification_style', 'Guest Registration Notification CSS', 'CSS settings to be applied', 'text', 'padding: 1em;border: 1px solid #cc3344;color: #000;background-color: #ffe4e9;margin-bottom: 1em;', 0, 6);");
	
	$db->query("INSERT INTO " . TABLE_PREFIX . "settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (NULL, 'guestregistrationnotification_image', 'Guest Registration Notification Image', 'The path to the image you would like displayed in the box', 'text', '', 0, 6);");

	rebuild_settings();
}

function guestregistrationnotification_is_installed() {

	global $db;
	
	$query = $db->write_query("SELECT * FROM " . TABLE_PREFIX . "settings WHERE name = 'guestregistrationnotification_content'");
	$query2 = $db->write_query("SELECT * FROM " . TABLE_PREFIX . "settings WHERE name = 'guestregistrationnotification_title'");
	$query3 = $db->write_query("SELECT * FROM " . TABLE_PREFIX . "settings WHERE name = 'guestregistrationnotification_style'");
	$query4 = $db->write_query("SELECT * FROM " . TABLE_PREFIX . "settings WHERE name = 'guestregistrationnotification_image'");

	if ($db->num_rows($query) > 0 && $db->num_rows($query2) > 0 && $db->num_rows($query3) > 0 && $db->num_rows($query4) > 0)
		return true;
	else
		return false;
}

function guestregistrationnotification_uninstall() {

	global $db;

	$db->query("DELETE FROM " . TABLE_PREFIX . "settings WHERE name = 'guestregistrationnotification_content'");
	$db->query("DELETE FROM " . TABLE_PREFIX . "settings WHERE name = 'guestregistrationnotification_title'");
	$db->query("DELETE FROM " . TABLE_PREFIX . "settings WHERE name = 'guestregistrationnotification_style'");
	$db->query("DELETE FROM " . TABLE_PREFIX . "settings WHERE name = 'guestregistrationnotification_image'");

	rebuild_settings();
}


function guestregistrationnotification_activate() {
}

function guestregistrationnotification_deactivate() {
}

function guestregistrationnotification_show($return) {

	global $mybb, $lang;

	$lang->load('guestregistrationnotification');
	$grn_content = '';
	$lang->GRN_default_title = $lang->sprintf($lang->GRN_default_title, $mybb->settings['bbname']);
	
	if ($mybb->user['usergroup'] == 1) {
    		$grn_content .= !empty($mybb->settings['guestregistrationnotification_style']) ? '<div style="padding: 1em; margin-bottom: 1em;' . $mybb->settings['guestregistrationnotification_style'] . '">' : '<div style="padding: 1em;border: 1px solid #cc3344;color: #000;background-color: #ffe4e9;margin-bottom: 1em;">';
    		$grn_content .= !empty($mybb->settings['guestregistrationnotification_image']) ? '<img style="float: left; width: 2ex; padding-right: 5px;" src="' . $mybb->settings["guestregistrationnotification_image"] . '" title="" />' : '<p style="padding: 0;margin: 0;float: left;width: 1em;font-size: 1.5em;color:red;">!!</p>';
    		$grn_content .= !empty($mybb->settings['guestregistrationnotification_title']) ? '<h3 style="padding: 0;margin: 0;">' . $mybb->settings['guestregistrationnotification_title'] . '</h3>' : '<h3 style="padding: 0;margin: 0;">' . $lang->GRN_default_title . '</h3>';
    		$grn_content .= '<p style="margin: 1em 0 0 0;">' . $mybb->settings['guestregistrationnotification_content'] . '</p>';
    		$grn_content .= '</div>';
	}
	
	$return = str_replace("<div id=\"content\">", "<div id=\"content\">$grn_content", $return);

	return $return;
}

?>