<?php
/**
 Author :imei Addmimistrator
 plugin :imei Jalali Date
 
 Changed By: SaeedGh (SaeedGhMail@Gmail.com) :P
 
 Description: This plugin hooks date formatting and shows it as Jalali date, common date system in IRAN
 Itss fully compatiable with Date() function of php formattings.
 */
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
if(!strpos($_SERVER['REQUEST_URI'], 'calendar.php'))
$plugins->add_hook("my_date", "imeiJalaliDate");

function imeiJalaliDate_info()
{
	return array(
		"name"			=> "Hijri Shamsi (Jalali) Date",
		"description"	=> "Show your board's date in Hijri Shamsi format",
		"website"		=> "javascript:(Mybboard.ir | MybbHelp.ir)\" onClick=\"alert('http://www.mybboard.ir\\nhttp://www.mybbhelp.ir'); return false;\" ",
		"author"		=> "<a href=\"http://www.myimei.com/security\">imei</a> | <a href=\"http://www.mybbhelp.ir\">SaeedGh</a>",
		"authorsite"	=> "",
		"version"		=> "1.2.3",
	);
}

function imeiJalaliDate_activate()
{
}

function imeiJalaliDate_deactivate()
{
}

function imeiJalaliDate($date)
{
  global $mybb, $lang, $mybbadmin;
 
	$callinfo=debug_backtrace();
	$callinfos=$callinfo[3];
	if($callinfo[4]['function']=="get_age"){
		return $date;
	}
	//imeiJalaliDate>Call_User_Func_Array(PluginClass)>Run_hook_by_ref(functions)>my_date(functions)
	if(!isset($callinfos['args'])){
		var_dump(debug_backtrace());
		//we have an error in back tracking, may be famous bug of php 5
		die("Error! Can't fetch debug_backtrace() arguments. It is a bug in your PHP handler or an Exception in JalaliDate Plugin. Please Upgrade your PHP and/or Send above detailes to plugin vendor.");
		return $date;
	}
	
	$format=$callinfos['args'][0];
	$stamp=!isset($callinfos['args'][1])? time():$callinfos['args'][1];
	$offset=!isset($callinfos['args'][2])? "":$callinfos['args'][2];
	$ty=!isset($callinfos['args'][3])? 1:$callinfos['args'][3];
	
/*********************************************/
 
	if(!$offset && $offset != '0')
	{
		if($mybb->user['uid'] != 0 && array_key_exists("timezone", $mybb->user))
		{
			$offset = $mybb->user['timezone'];
			$dstcorrection = $mybb->user['dst'];
		}
		elseif(defined("IN_ADMINCP"))
		{
			$offset =  $mybbadmin['timezone'];
			$dstcorrection = $mybbadmin['dst'];
		}
		else
		{
			$offset = $mybb->settings['timezoneoffset'];
			$dstcorrection = $mybb->settings['dstcorrection'];
		}
		// If DST correction is enabled, add an additional hour to the timezone.
		if($dstcorrection == "yes")
		{
			$offset++;
			if(my_substr($offset, 0, 1) != "-")
			{
				$offset = "+".$offset;
			}
		}
	}
	if($offset == "-")
	{
		$offset = 0;
	}
	
	$date = imeiJGconvert($format, $stamp + ($offset * 3600));
	if($mybb->settings['dateformat'] == $format && $ty)
	{
		$stamp = time();
		$todaysdate = imeiJGconvert($format, $stamp + ($offset * 3600));
		$yesterdaysdate = imeiJGconvert($format, ($stamp - 86400) + ($offset * 3600));
		if($todaysdate == $date)
		{
			$date = $lang->today;
		}
		elseif($yesterdaysdate == $date)
		{
			$date = $lang->yesterday;
		}
	}
		
}	

		
function imeiJGconvert($format,$stamp){	
	global $imeiJGconvert_call_log;
	$d=new convertJGDate();
  if(!is_array($imeiJGconvert_call_log))$imeiJGconvert_call_log=array();
   if(isset($imeiJGconvert_call_log[$stamp])){
  	$converted=$imeiJGconvert_call_log[$stamp];
  }else{
		
		$converted=$d->gregorian_to_jalali(gmdate("Y",$stamp),gmdate("n",$stamp),gmdate("j",$stamp));
		$imeiJGconvert_call_log[$stamp]=$converted;
	}
$pattern=array(
		"#Y#",//full year
		"#y#",//short year
		
		"#M#",//month short name
		"#F#",//month full name
		"#m#",//month number 0 lead
		"#n#",//month number
		"#t#",//days in month
		
		"#l#",//full week day
		"#D#",//short week day
		
		"#d#",//day number of month
		"#j#",//day number of month

		"#a#",//AM/PM short view
		"#A#",//AM/PM full view
		
		"#([^yYMmDdAa])#e"
		);
	$replace=array(
		$d->ENnum2FA($converted[0]),//year 13xx
		$d->ENnum2FA(substr($converted[0],2),true),//year xx lead zero
		
		$d->shmonths[$converted[1]],//month name
		$d->months[$converted[1]],//month name
		$d->ENnum2FA($converted[1],true), //month number
		$d->ENnum2FA($converted[1]), //month number
		//$converted[1],
		$d->j_days_in_month[$converted[1]],
		
		$d->days[strtolower(gmdate("D",$stamp))],//week day {full view}
		$d->ldays[strtolower(gmdate("D",$stamp))],//week day ‍‍{short view}

		$d->ENnum2FA($converted[2],true),//day of month
		$d->ENnum2FA($converted[2],true),//day of month

		$d->pmam[gmdate('a',$stamp)],
		$d->pmam[gmdate('A',$stamp)],
		
		"\$d->ENnum2FA(gmdate('\\1',\$stamp))"
		);
	$date= preg_replace($pattern,$replace,$format);
	
	$temp=$d->FAnum2EN($date);
	if(strval(intval($temp))==$temp)$date=intval($temp);
	return $date;
}

class convertJGDate
{
	var $g_days_in_month = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31); 
	var $j_days_in_month = array(31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 30, 29);     

	var $months=array(
	  'نامشخص',
		'فروردین',
		'اردیبهشت',
		'خرداد',
		'تیر',
		'مرداد',
		'شهریور',
		'مهر',
		'آبان',
		'آذر',
		'دی',
		'بهمن',
		'اسفند'
	);
	var $shmonths=array(
	  'ناش',
		'فرو',
		'ارد',
		'خرد',
		'تیر',
		'مرد',
		'شهر',
		'مهر',
		'آبا',
		'آذر',
		'دی',
		'بهم',
		'اسف'
	);
	var $pmam=array(
	 'pm' => 'ع',
	 'am' => 'ص',
	 'PM' => 'عصر',
	 'AM' => 'صبح');
	var $days=array(
	'mon' => 'دو شنبه',
	'tue' => 'سه شنبه',
	'wed' => 'چهار شنبه',
	'thu' => 'پنج شنبه',
	'fri' => 'جمعه',
	'sat' => 'شنبه',
	'sun' => 'یک شنبه'
	);
	var $ldays=array(
	'mon' => 'د',
	'tue' => 'س',
	'wed' => 'چ',
	'thu' => 'پ',
	'fri' => 'ج',
	'sat' => 'ش',
	'sun' => 'ی');
	function ENnum2FA($en,$leadzero=false){
		$from=array(
		'#0#',
		'#1#',
		'#2#',
		'#3#',
		'#4#',
		'#5#',
		'#6#',
		'#7#',
		'#8#',
		'#9#');
		$to=array(
		'۰',
		'۱',
		'۲',
		'۳',
		'۴',
		'۵',
		'۶',
		'۷',
		'۸',
		'۹');
		$return= preg_replace($from,$to,$en);
		if(strlen($return)==1&&$leadzero)
		return "۰".$return;
		else
		return $return;
	}	
	function FAnum2EN($en,$leadzero=false){
		$to=array(
		'0',
		'1',
		'2',
		'3',
		'4',
		'5',
		'6',
		'7',
		'8',
		'9');
		$from=array(
		'#۰#',
		'#۱#',
		'#۲#',
		'#۳#',
		'#۴#',
		'#۵#',
		'#۶#',
		'#۷#',
		'#۸#',
		'#۹#');
		$return= preg_replace($from,$to,$en);
		if(strlen($return)==1&&$leadzero)
		return "0".$return;
		else
		return $return;
	}

	function gregorian_to_jalali ($g_y, $g_m, $g_d)
	{
    
   $gy = $g_y-1600; 
   $gm = $g_m-1; 
   $gd = $g_d-1; 

   $g_day_no = 365*$gy+$this->div($gy+3,4)-$this->div($gy+99,100)+$this->div($gy+399,400); 

   for ($i=0; $i < $gm; ++$i) 
      $g_day_no += $this->g_days_in_month[$i]; 
   if ($gm>1 && (($gy%4==0 && $gy%100!=0) || ($gy%400==0))) 
      /* leap and after Feb */ 
      $g_day_no++; 
   $g_day_no += $gd; 

   $j_day_no = $g_day_no-79; 

   $j_np = $this->div($j_day_no, 12053); /* 12053 = 365*33 + 32/4 */ 
   $j_day_no = $j_day_no % 12053; 

   $jy = 979+33*$j_np+4*$this->div($j_day_no,1461); /* 1461 = 365*4 + 4/4 */ 

   $j_day_no %= 1461; 

   if ($j_day_no >= 366) { 
      $jy += $this->div($j_day_no-1, 365); 
      $j_day_no = ($j_day_no-1)%365; 
   } 

   for ($i = 0; $i < 11 && $j_day_no >= $this->j_days_in_month[$i]; ++$i) 
      $j_day_no -= $this->j_days_in_month[$i]; 
   $jm = $i+1; 
   $jd = $j_day_no+1; 

   return array($jy, $jm, $jd); 
	} 

	function jalali_to_gregorian($j_y, $j_m, $j_d) 
	{ 
    $this->g_days_in_month = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31); 
    $this->j_days_in_month = array(31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 30, 29);
    
   

   $jy = $j_y-979; 
   $jm = $j_m-1; 
   $jd = $j_d-1; 

   $j_day_no = 365*$jy + $this->div($jy, 33)*8 + $this->div($jy%33+3, 4); 
   for ($i=0; $i < $jm; ++$i) 
      $j_day_no += $this->j_days_in_month[$i]; 

   $j_day_no += $jd; 

   $g_day_no = $j_day_no+79; 

   $gy = 1600 + 400*$this->div($g_day_no, 146097); /* 146097 = 365*400 + 400/4 - 400/100 + 400/400 */ 
   $g_day_no = $g_day_no % 146097; 

   $leap = true; 
   if ($g_day_no >= 36525) /* 36525 = 365*100 + 100/4 */ 
   { 
      $g_day_no--; 
      $gy += 100*$this->div($g_day_no,  36524); /* 36524 = 365*100 + 100/4 - 100/100 */ 
      $g_day_no = $g_day_no % 36524; 

      if ($g_day_no >= 365) 
         $g_day_no++; 
      else 
         $leap = false; 
   } 

   $gy += 4*$this->div($g_day_no, 1461); /* 1461 = 365*4 + 4/4 */ 
   $g_day_no %= 1461; 

   if ($g_day_no >= 366) { 
      $leap = false; 

      $g_day_no--; 
      $gy += $this->div($g_day_no, 365); 
      $g_day_no = $g_day_no % 365; 
   } 

   for ($i = 0; $g_day_no >= $this->g_days_in_month[$i] + ($i == 1 && $leap); $i++) 
      $g_day_no -= $this->g_days_in_month[$i] + ($i == 1 && $leap); 
   $gm = $i+1; 
   $gd = $g_day_no+1; 

   return array($gy, $gm, $gd); 
	}


	function div($a,$b) 
	{
    return (int) ($a / $b);
	}
}
?>