<?php
/**
* Plugin Name: MyMood
* Plugin Author: Hamid Nozari & jnd52
* Plugin Website: http://www.shceg.com
* Plugin Forum: http://forum.shceg.com
* Plugin Version: 1.0
* Plugin Mybb Compatibility: 1.4.x
* Plugin Description: This will show user mood for current day.
**/

$plugins->add_hook('global_start', 'mood_link');
$plugins->add_hook("postbit", "mood");


function mood_info()
{
	return array(
		'name'			=> 'MyMood',
		'description'	=> 'This will show user mood for current day.',
		'website'		=> 'http://www.shceg.com',
		'author'		=> 'Hamid Nozari & jnd52',
		'authorsite'	=> 'http://www.shceg.com',
		'version'		=> '1.0 Beta',
		'guid'        	=> '309c48c6d3a2c338663dd8d8ec6abe58'
	);
}

function mood_activate()
{
	global $db;
	
	if(!$db->field_exists("mood","users"))
	$db->query("ALTER TABLE ".TABLE_PREFIX."users ADD `mood` INT NOT NULL DEFAULT 0");

	$templatearray = array(
		"tid" => "0",
		"title" => "mood_postbit",
		"template" => "<br><span class=\"smalltext\">{\$lang->mood_mood}: {\$post[\'mood\']}<br /></span>",
		"sid" => "-1",
		);
		
	$db->insert_query("templates", $templatearray);
	
		$templatearray = array(
		"tid" => "0",
		"title" => "mood_change",
		"template" => "
		<html>
		<head>
		<title>{\$mybb->settings[\'bbname\']} - {\$lang->mood_mood}</title>
		{\$headerinclude}
		</head>
		<body>
		<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\" width=\"100%\">
		<tr>
			<td class=\"trow1\" align=\"center\">
				<form name=\"form\" action=\"\$_SERVER[PHP_SELF]\" method=\"post\">
		
					\$mood_change

					<input type=\"submit\" name=\"change\" value=\"{\$lang->mood_changebutton}\" />
				</form>
			</td>
		</tr>
		</table>
		</body>
		</html>
		",
		"sid" => "-1",
		);
		
	$db->insert_query("templates", $templatearray);
	
	//Add MyMood link to members welcome block
	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets('header_welcomeblock_member', '#{\$lang->welcome_open_buddy_list}</a>#', "{\$lang->welcome_open_buddy_list}</a>{\$mood_link}");
}

function mood_deactivate()
{
	global $db;
	
	if($db->field_exists("mood","users"))
	$db->query("ALTER TABLE ".TABLE_PREFIX."users DROP mood");
	
	$db->delete_query("templates","title='mood_postbit'");
	$db->delete_query("templates","title='mood_change'");
	
	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	find_replace_templatesets('header_welcomeblock_member', '#{\$mood_link}#', '', 0);
}

function mood($post)
{
	global $db, $mybb, $lang, $templates, $theme;
	
	$lang->set_language($mybb->settings['bblanguage']);
	$lang->load("mood");

	//Open mood image dir and get images name
	$dir = $theme['imgdir'].'/mood/';
	
	if (!is_dir($dir))
	{
		print $dir . $lang->mood_notfound;
		return;
	}
		
	$dh = opendir($dir);

	$i=1;
	$mood = array();
	$mood = array(0 => $lang->mood_none);
	while (($file = readdir($dh)) !== false)
	{
		if($file != '.' && $file != '..' && !is_dir($dh.$file)) 
		{
			$mood+= array($i => substr($file,0,-4));
	    	$i++;
		}
	}
	
	closedir($dh);
	//Close mood images dir/////////////////
	
	$mood = str_replace(" ", " ", $mood); 
	
	//Get users mood images and put in postbit
	$query = $db->simple_select("posts","uid","pid={$post['pid']}");
	$puid = $db->fetch_array($query);
	
	$query = $db->simple_select("users","mood","uid={$puid['uid']}");
	$mood_key = $db->fetch_array($query);
	
	if ($mood_key['mood']!=0)
	{
		$image_name = $mood[$mood_key['mood']];
		$post['mood']=null;
		$post['mood'].= ' '.'<img src='.$dir.$image_name.'.gif alt="'.$image_name.'">';
	}
	else 
	{
		$post['mood']= ' '.$lang->mood_none;
	}
	
	eval("\$post['mood'] = \"".$templates->get("mood_postbit")."\";");
	$post['user_details'].=$post['mood'];
}

function mood_link()
{
	global $mybb, $lang, $mood_link;

	$lang->set_language($mybb->settings['bblanguage']);
	$lang->load('mood');
	
	$mood_link = " | <b><a href=\"#\" onClick=\"MyBB.popupWindow('mood.php', 'MyMood', 300, 200);\">".$lang->mood_mood."</a></b>";
}
?>
